<?php
defined('BASEPATH') OR exit('No direct script access allowed');

$route['users/login'] = 'user/users/login';
$route['franchise/switch_franchise/(:any)'] = 'franchise/franchise/switch_franchise/$1';

$route['products/create'] = 'product/products/create';
$route['products/edit/(:any)'] = 'product/products/edit/$1';
$route['products/view/(:any)'] = 'product/products/view/$1';
$route['products'] = 'product/products/index';
$route['products/self_learning'] = 'product/products/self_learning';
$route['products/index'] = 'product/products/index';

$route['orders'] = 'order/orders';
$route['orders/view_order_history/(:any)'] = 'order/orders/view_order_history/$1';
$route['orders/call_list/(:any)'] = 'order/orders/call_list/$1';
$route['orders/call_list/(:any)/(:any)'] = 'order/orders/call_list/$1/$2';
$route['orders/(:any)/(:any)/(:any)'] = 'order/orders/index/$1/$2/$3';
$route['orders/add_new'] = 'order/orders/add_new';
$route['orders/edit/(:any)'] = 'order/orders/edit/$1';
$route['orders/call_list'] = 'order/orders/call_list';

$route['supplier_invoice/add_new'] = 'order/supplier_invoice/add_new';

$route['gatepass'] = 'product/gatepass/index';
$route['gatepass/add_new'] = 'product/gatepass/add_new';
$route['gatepass/edit/(:any)'] = 'product/gatepass/edit/$1';
$route['gatepass/view/(:any)'] = 'product/gatepass/view/$1';

$route['grn'] = 'product/grn/index';
$route['grn/add_new'] = 'product/grn/add_new';
$route['grn/edit/(:any)'] = 'product/grn/edit/$1';
$route['grn/view/(:any)'] = 'product/grn/view/$1';

$route['dashboard'] = 'dashboard/index';
$route['default_controller'] = 'dashboard/index';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;

$route['courier/create'] = 'order/couriers/courierAdd';
$route['courier/edit/(:any)'] = 'order/couriers/courierEdit/$1';
$route['courier/list'] = 'order/couriers/courierList';
$route['add_user_role'] ='user/users/add_user_role';
$route['user_roles'] ='user/users/get_user_role_list';
$route['edit_user_role/(:any)'] ='user/users/edit_user_roles/$1';