<?php
	class Report_model extends CI_Model{

		public function __construct(){
			$this-> load-> database(); 
		}

		public function get_sales_by_product($filter_by,$from,$to,$limit_franchise=TRUE){
		    if($limit_franchise){
			    $franchise = $this-> session-> userdata('franchise');
			    //$query_str = "SELECT product.title as Product,SUM(order_items.quantity) as Quantity, SUM(order_items.amount) as Sales, SUM(product.cost*order_items.quantity) as Cost,  SUM(order_items.amount)- SUM(product.cost*order_items.quantity) as Profit FROM order_items JOIN product ON product.id = order_items.product JOIN `order` ON `order`.`id`=order_items.order WHERE `order`.`created_date`>='".$from."' AND `order`.`created_date`<='".$to."' AND (`order`.`order_status`='in_courier' OR `order`.`order_status`='settled' OR `order`.`order_status`='delivered') AND order_items.product IN (SELECT product FROM franchise_product_map WHERE franchise='".$franchise."') GROUP BY order_items.product ORDER BY SUM(order_items.amount)- SUM(product.cost*order_items.quantity) DESC";
			    $query_str = "SELECT product.title as Product,SUM(order_items.quantity) as Quantity, SUM(order_items.amount) as Sales, SUM(product.cost*order_items.quantity) as Cost,  SUM(order_items.amount)- SUM(product.cost*order_items.quantity) as Profit FROM order_items JOIN product ON product.id = order_items.product JOIN `order` ON `order`.`id`=order_items.order WHERE `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' AND (`order`.`order_status`='in_courier' OR `order`.`order_status`='settled' OR `order`.`order_status`='delivered') AND order.franchise ='".$franchise."' GROUP BY order_items.product ORDER BY SUM(order_items.amount)- SUM(product.cost*order_items.quantity) DESC";
		    }else{
		        $query_str = "SELECT product.title as Product,SUM(order_items.quantity) as Quantity, SUM(order_items.amount) as Sales, SUM(product.cost*order_items.quantity) as Cost,  SUM(order_items.amount)- SUM(product.cost*order_items.quantity) as Profit FROM order_items JOIN product ON product.id = order_items.product JOIN `order` ON `order`.`id`=order_items.order WHERE `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' AND (`order`.`order_status`='in_courier' OR `order`.`order_status`='settled' OR `order`.`order_status`='delivered') GROUP BY order_items.product ORDER BY SUM(order_items.amount)- SUM(product.cost*order_items.quantity) DESC";
		    }
			$query = $this->db->query($query_str);

			return $query-> result_array();
		}
		
		public function get_sales_by_product_datewise($filter_by,$from, $to,$limit_franchise=TRUE){
			if($limit_franchise){
			    $franchise = $this-> session-> userdata('franchise');
			    $query_str = "SELECT product.id,product.title as Product, date_format(`order`.`".$filter_by."`, '%Y-%m-%d') as dispatched_date,`franchise_product_map`.`daily_sponsor_amount`, SUM(order_items.quantity) as Quantity FROM order_items JOIN product ON product.id = order_items.product JOIN `order` ON `order`.`id`=order_items.order JOIN `franchise_product_map` ON `order_items`.`product`=`franchise_product_map`.`product` WHERE date_format(`order`.`".$filter_by."`, '%Y-%m-%d')>='".$from."' AND date_format(`order`.`".$filter_by."`, '%Y-%m-%d')<='".$to."' AND (`order`.`order_status`='in_courier' OR `order`.`order_status`='settled' OR `order`.`order_status`='delivered') AND `order`.`franchise` = '".$franchise."' AND `franchise_product_map`.`franchise` = '".$franchise."' GROUP BY order_items.product, date_format(`order`.`".$filter_by."`, '%Y-%m-%d') ORDER BY product.title ASC, date_format(`order`.`".$filter_by."`, '%Y-%m-%d') ASC";
			}else{
			    $query_str = "SELECT product.id,product.title as Product, date_format(`order`.`".$filter_by."`, '%Y-%m-%d') as dispatched_date, SUM(order_items.quantity) as Quantity FROM order_items JOIN product ON product.id = order_items.product JOIN `order` ON `order`.`id`=order_items.order WHERE date_format(`order`.`".$filter_by."`, '%Y-%m-%d')>='".$from."' AND date_format(`order`.`".$filter_by."`, '%Y-%m-%d')<='".$to."' AND (`order`.`order_status`='in_courier' OR `order`.`order_status`='settled' OR `order`.`order_status`='delivered') GROUP BY order_items.product, date_format(`order`.`".$filter_by."`, '%Y-%m-%d') ORDER BY product.title ASC, date_format(`order`.`".$filter_by."`, '%Y-%m-%d') ASC";
			}
			$query = $this->db->query($query_str);
			$result_array = $query-> result_array();

			$i = -1; $date_var = $from; $current_product=""; $return = array();
			
			foreach ($result_array as $key => $item) {

				$date = strtotime("+1 day", strtotime($date_var));
				$date_var = date("Y-m-d", $date);

				if($item['id']!=$current_product){
					while(($date_var<$to)&&($i!=-1)) {
						  	$return[$i][$date_var] = 0;
						  	$date = strtotime("+1 day", strtotime($date_var));
							$date_var = date("Y-m-d", $date);
					}
						
					$i++;
					$return[$i]['total']=0;
					$date_var = $from;
				}

				$current_product = $item['id'];
				$return[$i]['Product'] = $item['Product'];
				
				if($limit_franchise){
				    $return[$i]['daily_sponsor_amount'] = $item['daily_sponsor_amount'];
				}
				
				while($date_var!=$item['dispatched_date']) {
				  	$return[$i][$date_var] = 0;
				  	$date = strtotime("+1 day", strtotime($date_var));
					$date_var = date("Y-m-d", $date);
				}

				if ($date_var==$item['dispatched_date']) {
					$return[$i][$date_var] = $item['Quantity'];
					$return[$i]['total']+= $item['Quantity'];
				} 	
			}

			foreach ($return as $key => $value) {
				$date_var = $from;
				while ($date_var<=$to) {
					if (!isset($return[$key][$date_var])) {
						$return[$key][$date_var] = 0;
					}	
					$date = strtotime("+1 day", strtotime($date_var));
					$date_var = date("Y-m-d", $date);
				}
			}

			return $return;
		}
		
		public function get_reorder_levels($filter_by,$from,$to,$lead_time){
			$query_str = "SELECT 
							product.title as Product,
						    product.stock,
						    SUM(order_items.quantity) as Sales_Quantity,
							SUM(order_items.quantity)/(DATEDIFF('".$to."', '".$from."')+1) as Daily_Average_Sales,
							CEIL((SUM(order_items.quantity)/(DATEDIFF('".$to."', '".$from."')+1)) * ".$lead_time.") as Reorder_Level,
						    product.stock-CEIL((SUM(order_items.quantity)/(DATEDIFF('".$to."', '".$from."')+1)) * ".$lead_time.") AS Stock_Difference
						FROM order_items 
						JOIN product ON product.id = order_items.product 
						JOIN `order` ON `order`.`id` = order_items.order 
						WHERE 
							date_format(`order`.`".$filter_by."`, '%Y-%m-%d')>='".$from."' AND date_format(`order`.`".$filter_by."`, '%Y-%m-%d')<='".$to."' 
							AND (`order`.`order_status`='in_courier' OR `order`.`order_status`='settled' OR `order`.`order_status`='delivered' OR `order`.`order_status`='retutned') 
						GROUP BY order_items.product 
						ORDER BY Stock_Difference ASC";

			$query = $this->db->query($query_str);

			return $query-> result_array();
		}
		
		public function get_callcenter_performance($from,$to){
			$query_str = "SELECT `user`.`name`,
                            COUNT(`order_modification_history`.`remarks`) AS total_modifications,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks` LIKE 'Order status changed to confirm%' 
                                THEN `order_modification_history`.`remarks` END),0) AS confirmed,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks` LIKE 'Order status changed to not_confirm%' 
                                THEN `order_modification_history`.`remarks` END),0) AS not_confirmed,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks` LIKE 'Order status changed to hold%' 
                                THEN `order_modification_history`.`remarks` END),0) AS hold,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks` LIKE 'Order status changed to cancelled%' 
                                THEN `order_modification_history`.`remarks` END),0) AS cancelled,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks`='Order created'
                                THEN `order_modification_history`.`remarks` END),0) AS created,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks`='Order was edited'
                                THEN `order_modification_history`.`remarks` END),0) AS edited,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks` LIKE 'Order viewed in call list%' 
                                THEN `order_modification_history`.`remarks` END),0) AS viewed,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks`='customer_notes was updated.'
                                THEN `order_modification_history`.`remarks` END),0) AS notes_added,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks`='Order was marked as urgent'
                                THEN `order_modification_history`.`remarks` END),0) AS marked_urgent,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks`='Order was marked as damaged'
                                THEN `order_modification_history`.`remarks` END),0) AS marked_damaged			
                        FROM `order_modification_history` 
                        JOIN `user` ON `user`.`id`=`order_modification_history`.`user`
                        WHERE `order_modification_history`.`modified_on`>='".$from."'
                            AND `order_modification_history`.`modified_on`<='".$to."'
                            AND `user`.`user_role` IN (2,3)
                            AND `user`.`default_franchise`='".$this-> session-> userdata('franchise')."'
                        GROUP BY `order_modification_history`.`user`";

			$query = $this->db->query($query_str);

			return $query-> result_array();
		}

		public function get_sales_by_delivery_rate($from, $to, $delivery_rate){
			$franchise = $this-> session-> userdata('franchise');

			$query_str = "SELECT product.title as Product,SUM(order_items.quantity) as Quantity, SUM(order_items.amount) as Sales, SUM(product.cost*order_items.quantity) as Cost,  SUM(order_items.amount)- SUM(product.cost*order_items.quantity) as Profit, (SUM(order_items.amount)- SUM(product.cost*order_items.quantity))*".$delivery_rate."/100 AS Delivered FROM order_items JOIN product ON product.id = order_items.product JOIN `order` ON `order`.`id`=order_items.order WHERE `order`.`created_date`>='".$from."' AND `order`.`created_date`<='".$to."' AND (`order`.`order_status`='in_courier' OR `order`.`order_status`='settled' OR `order`.`order_status`='returned' OR `order`.`order_status`='pending_return') AND order_items.product IN (SELECT product FROM franchise_product_map WHERE franchise='".$franchise."') GROUP BY order_items.product";

			$query = $this->db->query($query_str);

			return $query-> result_array();
		}

		public function get_issued_orders($day_limit){
			//$franchise = $this-> session-> userdata('franchise');
			$date_before = date("Y-m-d", strtotime( '-'.$day_limit.' days' ) );
			

			$this-> db-> select('order.id,search_code,resipient,order_status,order.phone_one,order.phone_two,order.item_description,order.call_attempts,order.grand_total,order.customer_notes,order.delivery_notes,order.last_modified,hold_orders.hold_until,hold_orders.reason,order.address,city.city,city.zip_code,payment_type,total_weight,franchise.name as franchise,courier.name as courier,courier.tracking_url,order.created_date,order.courier_reference');
			$this-> db-> join('courier', 'order.courier = courier.id','left');
			$this-> db-> join('franchise','order.franchise = franchise.id');
			$this-> db-> join('hold_orders', 'order.id = hold_orders.order','left');
			$this-> db-> join('city', 'order.city = city.id','left');
			$this-> db-> where('order.created_date <=',$date_before);
			$this->db->group_start();
			    $this-> db-> where('order.order_status','in_courier');
			    $this-> db-> or_where('order.order_status', 'pending_return');
			    $this-> db-> or_where('order.order_status', 'delivered');
			$this->db->group_end();    
			$query = $this-> db-> get('order');

			/*$query_str = "SELECT * FROM `order` JOIN `courier` ON `courier`.`id`= `order`.`courier` JOIN `franchise` ON `franchise`.`id`= `order`.`franchise` JOIN `city` ON `city`.`id`=`order`.`city` WHERE `order`.`created_date`<= '".$date_before."' AND `order`.`order_status`='in_courier' AND `order`.`franchise` = '".$franchise."'";
			$query = $this->db->query($query_str);*/
			return $query-> result_array();
		}
		
		public function get_order_count_by_status($order_status,$limit_franchise=TRUE){
			if ($limit_franchise) {
				$franchise = $this-> session-> userdata('franchise');
				if($this-> session-> userdata('user_role')=='shop_admin'){
				    $query_str = "SELECT COUNT(`order`.`id`) AS order_count FROM `order` WHERE `order`.`order_status`='".$order_status."' AND `order`.`franchise`='".$franchise."' AND `order`.`created_by`='".$this-> session-> userdata('user_id')."'";
    			}else{
				    $query_str = "SELECT COUNT(`order`.`id`) AS order_count FROM `order` WHERE `order`.`order_status`='".$order_status."' AND `order`.`franchise`='".$franchise."'";
    			}
			}else{
				$query_str = "SELECT COUNT(`order`.`id`) AS order_count FROM `order` WHERE `order`.`order_status`='".$order_status."'";
			}	

			$query = $this->db->query($query_str);

			return $query-> row();
		}
		
		public function get_successful_order_count_by_date($date,$limit_franchise=TRUE){
			if($limit_franchise){
			    $franchise = $this-> session-> userdata('franchise');
			    if($this-> session-> userdata('user_role')=='shop_admin'){
				    $query_str = "SELECT COUNT(`order`.`id`) AS order_count FROM `order` WHERE ( (`order`.`order_status`='in_courier' AND date_format(`order`.`dispatched_date`, '%Y-%m-%d')='".$date."') OR (`order`.`order_status`='in_packing' AND date_format(`order`.`last_modified`, '%Y-%m-%d')='".$date."') OR (`order`.`order_status`='confirm') ) AND `order`.`franchise`='".$franchise."' AND `order`.`created_by`='".$this-> session-> userdata('user_id')."'";
			    }else{
				    $query_str = "SELECT COUNT(`order`.`id`) AS order_count FROM `order` WHERE ( (`order`.`order_status`='in_courier' AND date_format(`order`.`dispatched_date`, '%Y-%m-%d')='".$date."') OR (`order`.`order_status`='in_packing' AND date_format(`order`.`last_modified`, '%Y-%m-%d')='".$date."') OR (`order`.`order_status`='confirm') ) AND `order`.`franchise`='".$franchise."'";   
    			}
			}else{
			    $query_str = "SELECT COUNT(`order`.`id`) AS order_count FROM `order` WHERE ( (`order`.`order_status`='in_courier' AND date_format(`order`.`dispatched_date`, '%Y-%m-%d')='".$date."') OR (`order`.`order_status`='in_packing' AND date_format(`order`.`last_modified`, '%Y-%m-%d')='".$date."') OR (`order`.`order_status`='confirm') )";
			}
			$query = $this->db->query($query_str);

			return $query-> row();
		}
		
		public function get_order_count_by_date($where,$from,$to,$filter_by,$limit_franchise=TRUE){
		    
		    if($limit_franchise){
		        $franchise = $this-> session-> userdata('franchise');
		        if($this-> session-> userdata('user_role')=='shop_admin'){
				    $query_str = "SELECT DATE(`order`.`".$filter_by."`) AS created_date,COUNT(`order`.`id`) AS order_count FROM `order` WHERE (".$where.") AND `order`.`franchise`='".$franchise."' AND `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' AND `order`.`created_by`='".$this-> session-> userdata('user_id')."' GROUP BY DATE(`order`.`".$filter_by."`)";
			    }else{
				    $query_str = "SELECT DATE(`order`.`".$filter_by."`) AS created_date,COUNT(`order`.`id`) AS order_count FROM `order` WHERE (".$where.") AND `order`.`franchise`='".$franchise."' AND `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' GROUP BY DATE(`order`.`".$filter_by."`)";       
    			}
		    }else{
		        $query_str = "SELECT DATE(`order`.`".$filter_by."`) AS created_date,COUNT(`order`.`id`) AS order_count FROM `order` WHERE (".$where.") AND `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' GROUP BY DATE(`order`.`".$filter_by."`)";
		    }
			    
			$query = $this->db->query($query_str);

			return $query-> result_array();
		}
		
		public function get_order_composition($from,$limit_franchise=TRUE){

			if($limit_franchise){
				$franchise = $this-> session-> userdata('franchise');
				if($this-> session-> userdata('user_role')=='shop_admin'){
				    $query_str = "SELECT `order`.`order_status`,`order_status`.`label_colour`,COUNT(`order`.`id`) AS order_count FROM `order` JOIN `order_status` ON `order`.`order_status`=`order_status`.`id` WHERE DATE(`order`.`created_date`) >= '".$from."' AND `order`.`franchise`='".$franchise."' AND `order`.`created_by`='".$this-> session-> userdata('user_id')."' GROUP BY `order`.`order_status` ORDER BY `order_status`.`priority`";
				}else{
				    $query_str = "SELECT `order`.`order_status`,`order_status`.`label_colour`,COUNT(`order`.`id`) AS order_count FROM `order` JOIN `order_status` ON `order`.`order_status`=`order_status`.`id` WHERE DATE(`order`.`created_date`) >= '".$from."' AND `order`.`franchise`='".$franchise."' GROUP BY `order`.`order_status` ORDER BY `order_status`.`priority`";
				}
			}else{
				$query_str = "SELECT `order`.`order_status`,`order_status`.`label_colour`,COUNT(`order`.`id`) AS order_count FROM `order` JOIN `order_status` ON `order`.`order_status`=`order_status`.`id` WHERE DATE(`order`.`created_date`) >= '".$from."' GROUP BY `order`.`order_status` ORDER BY `order_status`.`priority`";
			}
			

			$query = $this->db->query($query_str);

			return $query-> result_array();
		}
		
		public function get_order_composition_by_courier($from,$to,$courier){
			$franchise = $this-> session-> userdata('franchise');

			$query_str = "SELECT `order`.`order_status`,`order_status`.`label_colour`,COUNT(`order`.`id`) AS order_count FROM `order` JOIN `order_status` ON `order`.`order_status`=`order_status`.`id` WHERE `order`.`created_date` >= '".$from."' AND `order`.`created_date` <= '".$to."' AND `order`.`franchise`='".$franchise."' AND `order`.`courier`='".$courier."' AND (`order`.`order_status`='in_courier' OR `order`.`order_status`='delivered' OR `order`.`order_status`='settled' OR `order`.`order_status`='pending_return' OR `order`.`order_status`='returned') GROUP BY `order`.`order_status` ORDER BY `order_status`.`priority`";

			$query = $this->db->query($query_str);

			return $query-> result_array();
		}
		
		public function get_order_composition_by_courier_orders($from,$to,$courier){
			$franchise = $this-> session-> userdata('franchise');

			$query_str = "SELECT `order`.`search_code`,`order`.`resipient`,`order`.`created_date`,`order`.`order_status`,`order`.`address`,`order`.`phone_one`,`order`.`phone_two`,`order`.`item_description`,`order`.`grand_total`,`order`.`courier_reference`,`order`.`call_attempts`,`franchise`.`name` AS franchise,`city`.`city`,`courier`.`name` AS courier,`courier`.`tracking_url` FROM `order` JOIN `order_status` ON `order`.`order_status`=`order_status`.`id` JOIN `city` ON `city`.`id`=`order`.`city` JOIN `franchise` ON `franchise`.`id`=`order`.`franchise` JOIN `courier` ON `courier`.`id`=`order`.`courier` WHERE `order`.`created_date` >= '".$from."' AND `order`.`created_date` <= '".$to."' AND `order`.`franchise`='".$franchise."' AND `order`.`courier`='".$courier."' AND (`order`.`order_status`='in_courier' OR `order`.`order_status`='delivered' OR `order`.`order_status`='settled' OR `order`.`order_status`='pending_return' OR `order`.`order_status`='returned') ORDER BY `order`.`created_date`";

			$query = $this->db->query($query_str);

			return $query-> result_array();
		}
		
		public function get_required_stock(){

			$query_str = "SELECT `product`.`title`,`product`.`short_title`,`product`.`stock`,SUM(`order_items`.`quantity`) AS `required_quantity`,`image`.`image_name` FROM `product` JOIN `order_items` ON `product`.`id` = `order_items`.`product` JOIN `order` ON `order`.`id` = `order_items`.`order` LEFT JOIN `image` ON `image`.`id` = `product`.`cover_image` WHERE (`order`.`order_status` = 'confirm' OR (`order`.`order_status` = 'in_packing' AND `order`.`last_modified` BETWEEN DATE_SUB(NOW(), INTERVAL 4 DAY) AND NOW())) AND (`product`.`stock` - `order_items`.`quantity`)<0 GROUP BY `product`.`id` ORDER BY SUM(`order_items`.`quantity`) DESC";

			$query = $this->db->query($query_str);

			return $query-> result_array();
		}
		
		public function get_courierwise_order_count_by_date($where,$from,$to,$filter_by){
			$this->load->model('order/Shipping_model');
			$couriers = $this->Shipping_model->get_couriers();
			$query_str = "";
			foreach ($couriers as $key => $courier) {
				$query_str.= ",IFNULL(COUNT(CASE WHEN `order`.`courier`='".$courier['id']."' THEN `order`.`id` END),0) AS ".$courier['label'];
			}
		    
		    $query_str = "SELECT DATE(`order`.`".$filter_by."`) AS created_date, COUNT(`order`.`id`) AS order_count ".$query_str." FROM `order` WHERE (".$where.") AND `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' GROUP BY DATE(`order`.`".$filter_by."`)";
			    
			$query = $this->db->query($query_str);

			return $query-> result_array();
		}

		public function get_courierwise_order_count_by_week($where,$from,$to,$filter_by){
			$this->load->model('order/Shipping_model');
			$couriers = $this->Shipping_model->get_couriers();
			$query_str = "";
			foreach ($couriers as $key => $courier) {
				$query_str.= ",IFNULL(COUNT(CASE WHEN `order`.`courier`='".$courier['id']."' THEN `order`.`id` END),0) AS ".$courier['label'];
			}
		    
		    $query_str = "SELECT WEEK(`order`.`".$filter_by."`) AS created_date,COUNT(`order`.`id`) AS order_count ".$query_str." FROM `order` WHERE (".$where.") AND `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' GROUP BY WEEK(`order`.`".$filter_by."`)";
			    
			$query = $this->db->query($query_str);

			return $query-> result_array();
		}

		public function get_courierwise_order_count_by_month($where,$from,$to,$filter_by){
			$this->load->model('order/Shipping_model');
			$couriers = $this->Shipping_model->get_couriers();
			$query_str = "";
			foreach ($couriers as $key => $courier) {
				$query_str.= ",IFNULL(COUNT(CASE WHEN `order`.`courier`='".$courier['id']."' THEN `order`.`id` END),0) AS ".$courier['label'];
			}
		    
		    $query_str = "SELECT DATE_FORMAT(`order`.`".$filter_by."`,'%M %Y') AS created_date,COUNT(`order`.`id`) AS order_count ".$query_str." FROM `order` WHERE (".$where.") AND `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' GROUP BY DATE_FORMAT(`order`.`".$filter_by."`,'%M %Y') ORDER BY DATE_FORMAT(`order`.`".$filter_by."`,'%m %Y')";
			    
			$query = $this->db->query($query_str);

			return $query-> result_array();
		}

		public function get_courierwise_order_value_by_date($where,$from,$to,$filter_by){
		    $this->load->model('order/Shipping_model');
			$couriers = $this->Shipping_model->get_couriers();
			$query_str = "";
			foreach ($couriers as $key => $courier) {
				$query_str.= ",IFNULL(SUM(CASE WHEN `order`.`courier`='".$courier['id']."' THEN `order`.`grand_total` END),0) AS ".$courier['label'];
			}

		    $query_str = "SELECT DATE(`order`.`".$filter_by."`) AS created_date,SUM(`order`.`grand_total`) AS order_count ".$query_str." FROM `order` WHERE (".$where.") AND `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' GROUP BY DATE(`order`.`".$filter_by."`)";
			    
			$query = $this->db->query($query_str);

			return $query-> result_array();
		}

		public function get_courierwise_order_value_by_week($where,$from,$to,$filter_by){
		    $this->load->model('order/Shipping_model');
			$couriers = $this->Shipping_model->get_couriers();
			$query_str = "";
			foreach ($couriers as $key => $courier) {
				$query_str.= ",IFNULL(SUM(CASE WHEN `order`.`courier`='".$courier['id']."' THEN `order`.`grand_total` END),0) AS ".$courier['label'];
			}

		    $query_str = "SELECT WEEK(`order`.`".$filter_by."`) AS created_date,SUM(`order`.`grand_total`) AS order_count ".$query_str." FROM `order` WHERE (".$where.") AND `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' GROUP BY WEEK(`order`.`".$filter_by."`)";
			    
			$query = $this->db->query($query_str);

			return $query-> result_array();
		}

		public function get_courierwise_order_value_by_month($where,$from,$to,$filter_by){
		    $this->load->model('order/Shipping_model');
			$couriers = $this->Shipping_model->get_couriers();
			$query_str = "";
			foreach ($couriers as $key => $courier) {
				$query_str.= ",IFNULL(SUM(CASE WHEN `order`.`courier`='".$courier['id']."' THEN `order`.`grand_total` END),0) AS ".$courier['label'];
			}

		    $query_str = "SELECT DATE_FORMAT(`order`.`".$filter_by."`,'%M %Y') AS created_date,SUM(`order`.`grand_total`) AS order_count ".$query_str." FROM `order` WHERE (".$where.") AND `order`.`".$filter_by."`>='".$from."' AND `order`.`".$filter_by."`<='".$to."' GROUP BY DATE_FORMAT(`order`.`".$filter_by."`,'%M %Y') ORDER BY DATE_FORMAT(`order`.`".$filter_by."`,'%m %Y')";
			    
			$query = $this->db->query($query_str);

			return $query-> result_array();
		}
		
		public function get_districtwise_order_composition_by_courier($from,$to,$courier){
			$franchise = $this-> session-> userdata('franchise');

			$query_str = "SELECT `city`.`district`,`order`.`order_status`,`order_status`.`label_colour`,COUNT(`order`.`id`) AS order_count 
						FROM `order` 
						JOIN `order_status` ON `order`.`order_status`=`order_status`.`id`
						JOIN `city` ON `order`.`city`=`city`.`id` 
						WHERE 
							`order`.`created_date` >= '".$from."' 
							AND `order`.`created_date` <= '".$to."' 
							AND `order`.`franchise`='".$franchise."' 
							AND `order`.`courier`='".$courier."' 
							AND (`order`.`order_status`='in_courier' 
								OR `order`.`order_status`='delivered' 
								OR `order`.`order_status`='settled' 
								OR `order`.`order_status`='pending_return' 
								OR `order`.`order_status`='returned') 
						GROUP BY `city`.`district`,`order`.`order_status` ORDER BY `city`.`district`,`order_status`.`priority`";

			$query = $this->db->query($query_str);
			$result = $query-> result_array();

			$temp['district'] = $result[0]['district']; $performance = array();
			foreach ($result as $key => $item) {
				if ($temp['district']==$item['district']) {
					$temp[$item['order_status']] = $item['order_count']; 
				}else{
					array_push($performance,$temp);
					$temp = array();
					$temp['district'] = $item['district'];
					$temp[$item['order_status']] = $item['order_count']; 
				}
			}
			foreach ($performance as $key => $item) {
				if (!isset($item['in_courier'])) {
					$item['in_courier']=0;
				}
				if (!isset($item['settled'])) {
					$item['settled']=0;
				}
				if (!isset($item['returned'])) {
					$item['returned']=0;
				}
				$total = (int)$item['in_courier']+(int)$item['settled']+(int)$item['returned'];
				$item['processing'] = number_format((int)$item['in_courier']/$total*100,2);
				$item['delivered'] = number_format((int)$item['settled']/$total*100,2);
				$item['not_delivered'] = number_format((int)$item['returned']/$total*100,2);
				$performance[$key] = $item;
			}
			return $performance;
		}
		
		public function get_personal_performance($date){
			$query_str = "SELECT 
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks` LIKE 'Order status changed to confirm%' 
                                THEN `order_modification_history`.`remarks` END),0) AS confirmed,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks` LIKE 'Order status changed to not_confirm%' 
                                THEN `order_modification_history`.`remarks` END),0) AS not_confirmed,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks` LIKE 'Order status changed to hold%' 
                                THEN `order_modification_history`.`remarks` END),0) AS hold,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks` LIKE 'Order status changed to cancelled%' 
                                THEN `order_modification_history`.`remarks` END),0) AS cancelled,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks`='Order created'
                                THEN `order_modification_history`.`remarks` END),0) AS created,
                            IFNULL(COUNT(CASE WHEN `order_modification_history`.`remarks`='Order was edited'
                                THEN `order_modification_history`.`remarks` END),0) AS edited			
                        FROM `order_modification_history` 
                        JOIN `user` ON `user`.`id`=`order_modification_history`.`user`
                        WHERE 
                        	date_format(`order_modification_history`.`modified_on`, '%Y-%m-%d')='".$date."'
                            AND `user`.`id`='".$this-> session-> userdata('user_id')."'
                        GROUP BY `order_modification_history`.`user`";

			$query = $this->db->query($query_str);

			return $query-> row_array();
		}
		
		public function get_created_order_count_by_date($date,$limit_franchise=TRUE){
			$franchise = $this-> session-> userdata('franchise');
			$previous_date = new DateTime($date.' 18:00:00');
            $previous_date->modify('-1 day');
            $after_date = new DateTime($date.' 18:00:00');

			if ($limit_franchise) {
				$query_str = "SELECT COUNT(`order`.`id`) AS order_count FROM `order` WHERE `order`.`created_date`>'".$previous_date->format('Y-m-d H:i:s')."' AND `order`.`created_date`<='".$after_date->format('Y-m-d H:i:s')."' AND `order`.`franchise`='".$franchise."'";
			}else{
				$query_str = "SELECT COUNT(`order`.`id`) AS order_count FROM `order` WHERE `order`.`created_date`>'".$previous_date->format('Y-m-d H:i:s')."' AND `order`.`created_date`<='".$after_date->format('Y-m-d H:i:s')."'";
			}	

			$query = $this->db->query($query_str);

			return $query-> row();
		}

		public function get_cancelled_order_count_by_date($date,$limit_franchise=TRUE){
			$franchise = $this-> session-> userdata('franchise');
			$previous_date = new DateTime($date.' 18:00:00');
            $previous_date->modify('-1 day');
            $after_date = new DateTime($date.' 18:00:00');
            
			if ($limit_franchise) {
				$franchise = $this-> session-> userdata('franchise');
				$query_str = "SELECT COUNT(`order`.`id`) AS order_count FROM `order` WHERE `order`.`created_date`>'".$previous_date->format('Y-m-d H:i:s')."' AND `order`.`created_date`<='".$after_date->format('Y-m-d H:i:s')."' AND `order`.`order_status`='cancelled' AND `order`.`franchise`='".$franchise."'";
			}else{
				$query_str = "SELECT COUNT(`order`.`id`) AS order_count FROM `order` WHERE `order`.`created_date`>'".$previous_date->format('Y-m-d H:i:s')."' AND `order`.`created_date`<='".$after_date->format('Y-m-d H:i:s')."' AND `order`.`order_status`='cancelled'";
			}	

			$query = $this->db->query($query_str);

			return $query-> row();
		}
		
	}	