	<html>
	<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	    
	    <title>OnlineCity-Print Packing Batch</title>
	    <!-- Tell the browser to be responsive to screen width -->
	    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
	    <link rel="stylesheet" href="/sellercenter/assets/adminlte/bower_components/bootstrap/dist/css/bootstrap.min.css">
	    <link rel="stylesheet" href="/sellercenter/assets/adminlte/bower_components/font-awesome/css/font-awesome.min.css">
	    <link rel="stylesheet" href="/sellercenter/assets/adminlte/bower_components/Ionicons/css/ionicons.min.css">
	    <script src="/sellercenter/assets/js/JsBarcode.code128.min.js"></script>
	    <script src="/sellercenter/assets/adminlte/bower_components/jquery/dist/jquery.min.js"></script>
	    <script src="/sellercenter/assets/adminlte/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
	    <script>
	    	window.onload = function(){
	    		JsBarcode(".barcode").init();
	    		window.print();
	    	}
	    </script>
	    
	    <style type="text/css">
	      @page {
    		   size: 76mm 102mm;
    		   margin: 5mm 1mm 1mm 1mm;
    		}
    
    		.container{
    			margin: auto;
    			page-break-after: always;
    			page-break-inside: avoid;
    			text-align: center;
    		}
    
    		.small-text{
    			font-size: 16px;
    		}
    
    		.large-text{
    			font-size: 20px;
    		}
    		
    		.tiny-text{
    		    font-size: 8px;
    		}
	    </style>

	  </head>
	  <body>
		  <?php foreach($packing_batch as $item): ?>
		      <?php 
	      		  $phone = '';
			      if ($item['phone_two'] == '') {
			        $phone = $item['phone_one'];
			      }else {
			        $phone = $item['phone_one'].' / '.$item['phone_two'];
			      }
	      		?>
    		  <div class = "container">
        		<img src="/sellercenter/assets/images/<?php echo $item['image_name'] ?>" style="width: auto; height: 65px;" alt=""><br>
        		<!--span class="small-text"><?php echo $item['franchise'] ?> </span><br-->
        		<span class="small-text"><?php echo $item['franchise_phone'].' / '.$item['franchise_phone_two']?></span><br>  
        		<b class="tiny-text"><?php echo $item['courier_name'];?> (<?php echo date("Y-m-d");?>)</b>
        		<hr style="border: 1px solid; margin-top:0px">
          		<b class="small-text"><?php echo $item['search_code']?></b> <br>
          		<b class="large-text"><?php echo $item['resipient']?></b> <br>
          		<b class="small-text"><?php echo $item['address']?></b> <br>
          		<b class="small-text"><?php echo $item['city']?></b> <br> 
          		<b class="small-text"><?php echo $phone?></b> <br> 
        		<b class="small-text">Rs.<?php echo number_format($item['grand_total'],2) ?></b> <br>
        		<span class="small-text">Items: </span> <b class="small-text"><?php echo $item['item_description']?></b> <br>
        		<?php if($item['payment_type']=='EX'): ?>
        		    <b class="large-text">EXCHANGE</b> <br>
        		<?php endif; ?>
        		<?php if($item['payment_type']=='AP'): ?>
        		    <b class="large-text">ALREADY PAID</b> <br>
        		<?php endif; ?>
        		
        		<?php if($item['is_urgent']==1): ?>
        		    <i class="fa fa-star fa-lg"></i><b class="large-text">TOP URGENT</b><i class="fa fa-star fa-lg"></i></i> <br>
        		<?php endif; ?>
        		<?php if($item['delivery_notes']!=''): ?>
        		    <i class="fa fa-star fa-lg"></i><b class="small-text"><?php echo $item['delivery_notes']?></b><br>
        		<?php endif; ?>
        		<svg class="barcode" jsbarcode-width="2" jsbarcode-height="28" jsbarcode-value="<?php echo $item['courier_reference']?>"></svg>
        	  </div>
         <?php endforeach; ?>	  
	   </body>      

    </html>