	<html>
	<head>
	    <meta charset="utf-8">
	    <title>WebStore-Print Packing Batch</title>
	    <!-- Tell the browser to be responsive to screen width -->
	    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
	    <link rel="stylesheet" href="/sellercenter/assets/adminlte/bower_components/bootstrap/dist/css/bootstrap.min.css">
	    <script src="/sellercenter/assets/js/JsBarcode.code128.min.js"></script>
	    <script src="/sellercenter/assets/adminlte/bower_components/jquery/dist/jquery.min.js"></script>
	    <script src="/sellercenter/assets/adminlte/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
	    <script>
	    	window.onload = function(){
	    		JsBarcode(".barcode").init();
	    		window.print();
	    	}
	    </script>
	    
	    <style type="text/css">
	      @page {
    		   size: 165mm 140mm;
    		   margin: 1mm 12mm 1mm 12mm;
    		}
    
    		.container{
    			margin: auto;
    			page-break-after: always;
    			page-break-inside: avoid;
    			position:relative;
    			margin:auto;
    		}
    		
    		.waybill{
    		    width:50mm;
                height:6mm;
    		    position:absolute;
    		    right:18mm;
                top:19mm;
                background-color:#CCCCCC;
    		}
    		
    		.sender{
    		    width:60mm;
                height:35mm;
    		    position:absolute;
    		    right:80mm;
                top:35mm;
                background-color:#CCCCCC;
    		}
    		
    		.receiver{
    		    width:60mm;
                height:35mm;
    		    position:absolute;
    		    right:24mm;
                top:35mm;
                background-color:#CCCCCC;
    		}
    		
    		.good_desc{
    		    width:65mm;
                height:10mm;
    		    position:absolute;
    		    right:73mm;
                top:91mm;
                background-color:#CCCCCC;
    		}
    		
    		.pcs{
    		    width:17mm;
                height:10mm;
    		    position:absolute;
    		    right:47mm;
                top:93mm;
                background-color:#CCCCCC;
    		}
    		
    		.weight{
    		    width:17mm;
                height:10mm;
    		    position:absolute;
    		    right:38mm;
                top:93mm;
                background-color:#CCCCCC;
    		}
    		
    		.cod{
    		    width:18mm;
                height:5mm;
    		    position:absolute;
    		    right:24mm;
                top:95mm;
                background-color:#CCCCCC;
    		}
    		
    		.break{
    		    width:50mm;
                height:5mm;
    		    position:relative;
    		    right:2mm;
                bottom:2mm;
                background-color:#CCCCCC;
    		}
    
    		.small-text{
    		    text-transform: uppercase;
    			font-size: 12px;
    		}
    
    		.large-text{
    		    text-transform: uppercase;
    			font-size: 16px;
    		}
    		
    		.xl-text{
    		    text-transform: uppercase;
    			font-size: 19px;
    		}
    		
    		.tiny-text{
    		    font-size: 8px;
    		}
	    </style>

	  </head>
	  <body>
		  <?php foreach($packing_batch as $item): ?>
		      <?php 
	      		  $phone = '';
			      if ($item['phone_two'] == '') {
			        $phone = $item['phone_one'];
			      }else {
			        $phone = $item['phone_one'].' / '.$item['phone_two'];
			      }
	      		?>
    		  <div class = "container">
    		    <div class="waybill">
    		        <b class="xl-text">XXXXXXXX</b>
    		        <b class="large-text"><?php echo $item['courier_reference']?></b>
    		    </div>    
    		    <div class="sender">
    		        <b class="small-text">Web Store (Pvt) Ltd</b><br>
    		        <b class="small-text">No. 142/7</b><br>
    		        <b class="small-text">Colombo Road</b><br>
    		        <b class="small-text">Piliyandala(10300)</b><br>
    		        <b class="small-text">Sri Lanka</b><br>
    		        <b class="small-text">0716944322</b><br>
    		        <br>
    		        <b class="large-text">Waybill: <?php echo $item['courier_reference']?></b>
    		    </div>
    		    <div class="receiver">
    		        <b class="small-text">Order No: <?php echo $item['search_code']?></b> <br>
    		        <b class="small-text"><?php echo $item['resipient']?></b> <br>
    		        <b class="small-text"><?php echo $item['address']?></b> <br>
    		        <b class="small-text"><?php echo $item['city']?></b> <br> 
    		        <b class="small-text"><?php echo $phone?></b> <br> 
    		    </div>
    		    <div class="good_desc">
    		        <b class="small-text"><?php echo $item['item_description']?></b> <br>
    		    </div>
    		    <div class="pcs">
    		        <b class="small-text">1</b> <br> 
    		    </div>
    		    <div class="weight">
    		        <b class="small-text"><?php echo $item['total_weight']?>g</b> <br> 
    		    </div>
    		    <div class="cod">
    		        <b class="small-text">Rs.<?php echo number_format($item['grand_total'],2) ?></b> <br>
    		    </div>
    		    <div class="break"></div>
        	  </div>
         <?php endforeach; ?>	  
	   </body>      

    </html>
    