	<html>
	<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	    
	    <title>WebStore-Print Packing Batch</title>
	    <!-- Tell the browser to be responsive to screen width -->
	    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
	    <link rel="stylesheet" href="/sellercenter/assets/adminlte/bower_components/bootstrap/dist/css/bootstrap.min.css">
	    <script src="/sellercenter/assets/js/JsBarcode.code128.min.js"></script>
	    <script src="/sellercenter/assets/adminlte/bower_components/jquery/dist/jquery.min.js"></script>
	    <script src="/sellercenter/assets/adminlte/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
	    <script>
	    	window.onload = function(){
	    		JsBarcode(".barcode").init();
	    		window.print();
	    	}
	    </script>
	    
	    <style type="text/css">
	      @page {
    		   size: 102mm 152mm;
    		   margin: 1mm 1mm 1mm 1mm;
    		}
    
    		.container{
    			margin: auto;
    			page-break-after: always;
    			page-break-inside: avoid;
    		}

            .main{
                height: 108mm; 
                width: 101mm;
                background-color:#CCCCCC;
                text-align: center;
            }

            .sub-1{
                height: 22mm; 
                width: 25mm;
                float: right;
                background-color:#CCCCCC;
            }  

            .sub-2{
                height: 22mm; 
                width: 35mm;
                float: left;
                background-color:#CCCCCC;
            } 

            .sub-3{
                height: 22mm; 
                width: 30mm;
                margin:0 auto;
                display: inline;
                background-color:#CCCCCC;
            } 
            
            .sub-4{
                height: 22mm; 
                width: 25mm;
                float: right;
                background-color:#CCCCCC;
            } 

            .sub-5{
                height: 22mm; 
                width: 35mm;
                float: left;
                background-color:#CCCCCC;
            } 

            .sub-6{
                height: 22mm; 
                width: 30mm;
                margin:0 auto;
                display: inline;
                background-color:#CCCCCC;
            } 

            
    
    		.small-text{
    			font-size: 13px;
    		}
    
    		.large-text{
    			font-size: 18px;
    		}
    		
    		.tiny-text{
    		    font-size: 8px;
    		}
	    </style>

	  </head>
	  <body>
		  <?php foreach($packing_batch as $item): ?>
		      <?php 
	      		  $phone = '';
			      if ($item['phone_two'] == '') {
			        $phone = $item['phone_one'];
			      }else {
			        $phone = $item['phone_one'].' / '.$item['phone_two'];
			      }
	      		?>
    		  <div class = "container">
        		<div class="main">
                    <img src="/sellercenter/assets/images/<?php echo $item['image_name'] ?>" style="width: auto; height: 45px;" alt=""><br>
                    <span class="small-text"><?php echo $item['franchise'] ?> hotline: </span> <b class="small-text"><?php echo $item['franchise_phone']?></b><br>     
                    <b class="small-text"><?php echo $item['search_code']?></b> <br>
                    <b class="large-text"><?php echo $item['resipient']?></b> <br>
                    <b class="small-text"><?php echo $item['address']?></b> <br>
                    <b class="small-text"><?php echo $item['city']?></b> <br> 
                    <b class="small-text"><?php echo $phone?></b> <br> 
                    <b class="small-text">Rs.<?php echo number_format($item['grand_total'],2) ?></b> <br>
                    <span class="small-text">Items: </span> <b class="small-text"><?php echo $item['item_description']?></b> <br>
                    <hr style="border: 1px solid;">
                    <?php if($item['payment_type']=='EX'): ?>
            		    <b class="large-text">EXCHANGE</b> <br>
            		<?php endif; ?>
                    <?php if($item['is_urgent']==1): ?>
            		    <i class="fa fa-star fa-lg"></i><b class="large-text">TOP URGENT</b><i class="fa fa-star fa-lg"></i></i> <br>
            		<?php endif; ?>
                    <svg class="barcode" jsbarcode-width="2" jsbarcode-height="25" jsbarcode-value="<?php echo $item['courier_reference']?>"></svg>
                    <div>
                        <span class="tiny-text">Stay home! Stay Safe!</span>
                    </div>
                </div>
                <div>
                    <div class="sub-1">
                        <?php if(isset($order_items[$item['search_code']][2])): ?>
                            <b class="small-text">M.R.P: Rs.<?php echo $order_items[$item['search_code']][2]['price'] ?></b> <br>
                            <b class="tiny-text">Marketed By: <?php echo $item['franchise'] ?></b> <br>
                            <!--b class="tiny-text"><?php echo $item['franchise_address'] ?></b> <br-->
                            <b class="tiny-text"><?php echo $order_items[$item['search_code']][2]['short_title'] ?></b> <br> 
                        <?php endif; ?>    
                    </div>
                    <div class="sub-2">
                        <?php if(isset($order_items[$item['search_code']][0])): ?>
                            <b class="small-text">M.R.P: Rs.<?php echo $order_items[$item['search_code']][0]['price'] ?></b> <br>
                            <b class="tiny-text">Marketed By: <?php echo $item['franchise'] ?></b> <br>
                            <!--b class="tiny-text"><?php echo $item['franchise_address'] ?></b> <br-->
                            <b class="tiny-text"><?php echo $order_items[$item['search_code']][0]['short_title'] ?></b> <br> 
                        <?php endif; ?>
                    </div>
                    <div class="sub-3">
                        <?php if(isset($order_items[$item['search_code']][1])): ?>
                            <b class="small-text">M.R.P: Rs.<?php echo $order_items[$item['search_code']][1]['price'] ?></b> <br>
                            <b class="tiny-text">Marketed By: <?php echo $item['franchise'] ?></b> <br>
                            <!--b class="tiny-text"><?php echo $item['franchise_address'] ?></b> <br-->
                            <b class="tiny-text"><?php echo $order_items[$item['search_code']][1]['short_title'] ?></b> <br> 
                        <?php endif; ?>
                    </div>
                </div>
                <div>
                    <div class="sub-4">
                        <?php if(isset($order_items[$item['search_code']][5])): ?>
                            <b class="small-text">M.R.P: Rs.<?php echo $order_items[$item['search_code']][5]['price'] ?></b> <br>
                            <b class="tiny-text">Marketed By: <?php echo $item['franchise'] ?></b> <br>
                            <!--b class="tiny-text"><?php echo $item['franchise_address'] ?></b> <br-->
                            <b class="tiny-text"><?php echo $order_items[$item['search_code']][5]['short_title'] ?></b> <br> 
                        <?php endif; ?> 
                    </div>
                    <div class="sub-5">
                        <?php if(isset($order_items[$item['search_code']][3])): ?>
                            <b class="small-text">M.R.P: Rs.<?php echo $order_items[$item['search_code']][3]['price'] ?></b> <br>
                            <b class="tiny-text">Marketed By: <?php echo $item['franchise'] ?></b> <br>
                            <!--b class="tiny-text"><?php echo $item['franchise_address'] ?></b> <br-->
                            <b class="tiny-text"><?php echo $order_items[$item['search_code']][3]['short_title'] ?></b> <br> 
                        <?php endif; ?>
                    </div>
                    <div class="sub-6">
                        <?php if(isset($order_items[$item['search_code']][4])): ?>
                            <b class="small-text">M.R.P: Rs.<?php echo $order_items[$item['search_code']][4]['price'] ?></b> <br>
                            <b class="tiny-text">Marketed By: <?php echo $item['franchise'] ?></b> <br>
                            <!--b class="tiny-text"><?php echo $item['franchise_address'] ?></b> <br-->
                            <b class="tiny-text"><?php echo $order_items[$item['search_code']][4]['short_title'] ?></b> <br> 
                        <?php endif; ?>
                    </div>
                </div>
                    
                
        	  </div>
         <?php endforeach; ?>	  
	   </body>      

    </html>