<section class="content-header">
    <h1>
      View Return Batch 
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">View Return Batch</a></li>
    </ol>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Batch Items</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Batch Code</td>
                    <td>Date</td>
                    <td>Item Count</td>
                    <td>Courier</td>
                    <td>Created By</td>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <?php
    $i = 0;
    foreach ($return_batches as $return_batch) {
      $return_batches[$i]['search_code'] = '<a href="'.base_url().'admin/order_batch/view_return_batch/'.$return_batch['search_code'].'" target="_blank">'.$return_batch['search_code'].'</a>';
      $i++;
    }
  ?>

  <script>
    var order_list = <?php echo json_encode($return_batches); ?>;
    window.onload = function(){
      $('#datatable').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : true,
        'order'       : [0, 'desc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        //'column'      : String,
        'data'        : order_list,
        'columns'     : [
            {"data": "search_code"},
            {"data": "created_date"},
            {"data": "item_count"},
            {"data": "courier"},
            {"data": "created_by"}
        ]
      });
    }
      
  </script>