<section class="content-header">
    <h1>
      View Settlement Batch 
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">View Settlement Batch</a></li>
      <li><a href="#"><?php echo $settlement_batch['search_code'] ?></a></li>
    </ol>   
    
  </section>


  <section class="content">
      <div class="row">
      <div class="col-xs-12">
        <div class="box">

          <div class="box-header">
            <h3 class="box-title">Order Batch</h3>
            <div class="pull-right">
              <button onclick="show_all()" class="btn btn-primary btn-xs"> ALL </button>&nbsp
              <button onclick="filter_returns()" class="btn btn-primary btn-xs"> All Returns </button>&nbsp
              <button onclick="informed_returns()" class="btn btn-primary btn-xs"> Informed returns </button>&nbsp
              <button onclick="not_informed_returns()" class="btn btn-primary btn-xs"> Not Informed Returns </buttona>&nbsp
            </div>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12">
              <table class="table table-striped">
                <tbody id="table_body">
                  <tr>
                    <td>Batch Code</td>
                    <td><?php echo $settlement_batch['search_code'] ?></td>
                  </tr>
                  <tr>
                    <td>Created on</td>
                    <td><?php echo $settlement_batch['created_date'] ?></td>
                  </tr>
                  <tr>
                    <td>Courier</td>
                    <td><?php echo $settlement_batch['courier'] ?></td>
                  </tr>
                  <tr>
                    <td>Created By</td>
                    <td><?php echo $settlement_batch['created_by'] ?></td>
                  </tr>
                  <tr>
                    <td>Item Count</td>
                    <td><?php echo $settlement_batch['item_count'] ?></td>
                  </tr>
                  <tr>
                    <td>Total COD</td>
                    <td><?php echo number_format((float)$settlement_batch['total_amount'], 2, '.', '');  ?></td>
                  </tr>
                </tbody>
              </table>  
          </div>
          </div>
        </div>
      </div>
      <div class="col-xs-12">
        <div class="box">
         
          <div class="box-body">
            <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
              <li class="active"><a href="#orders_tab" data-toggle="tab">Orders in batch</a></li>
              <li><a href="#products_tab" data-toggle="tab">Products in batch</a></li>
            </ul>
            <div class="tab-content"> 
            <div class="tab-pane active" id="orders_tab">  
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Order No</td>
                    <td>Courier Ref</td>
                    <td>Status</td>
                    <td>Recipient</td>
                    <td>Address</td>
                    <td>City</td>
                    <td>Item Description</td>
                    <td>Amount</td>
                    <td>COD Recieved</td>
                    <td>Phone#</td>
                    <td>Phone#2</td>
                    <td>Created by</td>
                    <td>Return Informed</td>
                  </tr>
                </thead>
              </table>  
            </div>
            </div><!--end of orders_tab-->
            <div class="tab-pane" id="products_tab">
                <div class="col-xs-12 table-responsive">
                  <table id="datatable_2" class="table table-bordered table-hover">
                    <thead>
                      <tr>
                        <td>Product</td>
                        <td>Quantity</td>
                      </tr>
                    </thead>
                  </table>  
                </div>
            </div><!--end of products_tab-->    
            </div><!--end of tab-content-->
            </div><!--end of nav-tabs-custom-->
          </div>
        </div>
      </div>
   

    </div>


  </section>
  
  <?php
    foreach ($batch_items as $key=> $item) {
        if($item['return_informed']==1){
            $batch_items[$key]['return_informed'] = 'Yes';
        }else{
            $batch_items[$key]['return_informed'] = 'No';
        }
         
    }
  ?>

  <script>

    var order_list = <?php echo json_encode($batch_items); ?>;
    var product_list = <?php echo json_encode($batch_products); ?>;

    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };

      $('#datatable').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "search_code"},
              {"data": "courier_reference"},
              {"data": "order_status"},
              {"data": "resipient"},
              {"data": "address"},
              {"data": "city"},
              {"data": "item_description"},
              {"data": "grand_total"},
              {"data": "cod_recieved"},
              {"data": "phone_one"},
              {"data": "phone_two"},
              {"data": "created_by"},
              {"data": "return_informed"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } )
        ]
        });
        
        $('#datatable_2').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 1, "desc" ]],
          //'column'      : String,
          'data'        : product_list,
          'columns'     : [
              {"data": "product"},
              {"data": "quantity"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } )
        ]
        });
      }
      
      function filter_returns() {
          $('#datatable').DataTable().column(8).search('^-[0-9]+$',true,false).draw();
          $('#datatable').DataTable().column(12).search('',true,false).draw();
      }
      
      function informed_returns() {
          $('#datatable').DataTable().column(8).search('^-[0-9]+$',true,false).draw();
          $('#datatable').DataTable().column(12).search('^Yes$',true,false).draw();
      }
      
      function not_informed_returns() {
          $('#datatable').DataTable().column(8).search('^-[0-9]+$',true,false).draw();
          $('#datatable').DataTable().column(12).search('^No$',true,false).draw();
      }
      
      function show_all() {
          $('#datatable').DataTable().column(8).search('',true,false).draw();
          $('#datatable').DataTable().column(12).search('',true,false).draw();
      }

  </script>