<section class="content-header">
  <h1>
    Edit Daily FB Sponsor Amounts
    <small>Franchise</small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="#">Franchise</a></li>
    <li class="active">Edit Daily FB Sponsor Amounts</li>
  </ol>
  <?php if(validation_errors()) : ?>
    <div class="alert alert-danger alert-dismissible">
      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
      <h4><i class="icon fa fa-ban"></i> Alert!</h4>
      <?php echo validation_errors(); ?>
    </div>
  <?php endif; ?>   
</section>

<section class="content">
  <?php echo form_open($formMethod); ?>
    <div class="row">
      <div class="col-md-12">
        <div class="box box-primary">
          <!-- box-header -->
          <div class="box-header with-border">
            <h3 class="box-title">Products Assigned to Franchise</h3>
          </div>
          <div class="box-body">
            <table class="table table-hover">
              <thead>
                <th>SKU</th>
                <th>Packing Label</th>
                <th>Product Title</th>
                <th>Daily FB Sponsor Amount</th> 
              </thead>
              <tbody id="table_body">
                <?php foreach($products as $key=>$item): ?>
                <tr>
                  <td><?php echo $item['sku']; ?></td>
                  <td><?php echo $item['short_title']; ?></td>
                  <td><?php echo $item['title']; ?></td>
                  <td>
                    <input type="hidden" name="products[<?php echo $key; ?>]" required value="<?php echo $item['product']; ?>">
                    <input type="number" class="form-control" name="daily_sponsor_amount[<?php echo $key; ?>]" required value="<?php echo $item['daily_sponsor_amount']; ?>">
                  </td>
                </tr>
                <?php endforeach; ?>
              </tbody>
            </table>
          </div>  
          <div class="box-footer">
            <button type="submit" class="btn btn-primary pull-right">Submit</button>
          </div>
        </div>
      </div>
    </div>      
    <!-- /.box-header -->
  <?php echo form_close(); ?>
</section>