<section class="content-header">
    <h1>
      <?php echo ucwords(str_replace("_", " ", $meta_type)); ?> Info
      <small>Utilities</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Utilities</a></li>
      <li><a href="#"><?php echo ucwords(str_replace("_", " ", $meta_type)); ?> Info</a></li>
    </ol>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title"><?php echo ucwords(str_replace("_", " ", $meta_type)); ?> Info</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <?php if(!empty($orders)):?>  
                        <?php foreach($orders[0] as $key => $item): ?>
                          <td><?php echo $key; ?></td>
                        <?php endforeach; ?>
                    <?php endif;?>    
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>
  
  <?php
    $i = 0;
    foreach ($orders as $order) {
      $orders[$i]['search_code'] = '<a href="'.base_url().'order/orders/edit_additional_order_info/postal_exchanges/'.$order['search_code'].'" target="_blank">'.$order['search_code'].'</a>';
      $i++;
    }
  ?>
  

  <script>
    var order_list = <?php echo json_encode($orders); ?>;
    window.onload = function(){
      $('#datatable').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : true,
        //'order'       : [0, 'desc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        //'column'      : String,
        'data'        : order_list,
        'columns'     : [
            <?php if(!empty($orders)):?>
                <?php foreach($orders[0] as $key => $item): ?>
                  <?php echo '{"data": "'.$key.'"},'; ?>
                <?php endforeach; ?>
            <?php endif;?>      
        ]
      });
    }
      
  </script>