<section class="content-header">
    <h1>
      Courier List
      <small>All couriers</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Couriers</a></li>
    </ol>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
         
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Name</td>
                    <td>Active</td>
                    <td>Label</td>
                    <td>Label Colour</td>
                    <td>Phone one</td>
                    <td>Phone Two</td>
                    <td>Email </td>
                    <td>Tracking URL</td>
                    <td>Waybill prefix</td>
                    <td>Last Waybill</td>
                    <td>Stop Waybill</td>
                    <td>Order Criteria</td>
                    <td>Order Criteria Two</td>
                    <td></td>
                  </tr>
                </thead>
                <tbody>
                    <?php foreach($courier_list as $data): ?>
                        <tr>
                            <td><?php echo $data['name']; ?></td>
                            <td><?php if($data['active']==1){echo 'true';}else{echo 'false';}  ?></td>
                            <td><?php echo $data['label']; ?></td>
                            <td><?php echo $data['label_colour']; ?></td>
                            <td><?php echo $data['phone_one']; ?></td>
                            <td><?php echo $data['phone_two']; ?></td>
                            <td><?php echo $data['email']; ?></td>
                            <td><?php echo $data['tracking_url']; ?></td>
                            <td><?php echo $data['waybill_prefix']; ?></td>
                            <td><?php echo $data['last_waybill']; ?></td>
                            <td><?php echo $data['stop_waybill']; ?></td>
                            <td><?php echo $data['get_order_criteria']; ?></td>
                            <td><?php echo $data['get_order_criteria_2']; ?></td>
                            <td><a class="btn btn-primary btn-sm" href="edit/<?php echo $data['id']; ?>" target="_blank"><i class="fa fa-edit"></i></a></td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <script>

    window.onload = function(){
      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };
      
    $('#datatable').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : true,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false,
      'responsive'  : true,
      'dom': 'Bfrtip',
        'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } )
        ]
    });
  }

</script>