<section class="content-header">
  <h1>
    Koombiyo Deliveries
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">Koombiyo Deliveries API</li>
  </ol>
</section>
<section class="content">
    <div class="row">
    <div class="col-md-12">
      <div class="box">
        <div class="box-header"> 
          <h3 class="box-title">Orders</h3>
        </div>
        <div class="box-body">
          <div class="row">
            <div class="col-md-4">
              <div class="form-group">
                <select id="limit_sel" class="custom-select" style="border-color: #1d87e4;width:75px">
                  <option value="10" selected="selected">10</option>
                  <option value="25">25</option>
                  <option value="50">50</option>
                  <option value="100">100</option>
                </select>
              </div>
            </div>
            <div class="col-md-4"> </div>
            <?php if($waybill==NULL || $this-> session-> userdata('user_role')=='admin'): ?>
            <div class="col-md-3">
              <div class="form-group bmd-form-group">
                <input type="text" id="barcode"  placeholder="Search..." class="form-control" onkeyup="setTimeout(getDelOrderData, 5000)">
              </div>
            </div>
            <?php endif;?>
          </div>
          <div align="center" style="overflow-x:auto;">
            <table class="table table-hover" align="center">
              <thead>
                <tr>
                  <th>Order Date</th>
                  <th>Waybill ID</th>
                  <th>Order ID</th>
                  <th>Name</th>
                  <th>Phone</th>
                  <th>Address</th>
                  <th>Description</th>
                  <th>Remarks</th>
                  <th>COD</th>
                  <th>Del. Charge</th>
                  <th>Branch</th>
                  <th>Status</th>
                  <th>More</th>
                </tr>
              </thead>
              <tbody id="tbody_data">
                
              </tbody>
            </table>
          </div>
		  <div class="row">
			 <nav>
			  <ul class="pagination m-y-0" id="pagination_ul"></ul>
			  <input type="hidden" id="offset_field" value="0">
			 </nav>
		   </div> 
        </div>
      </div>
    </div>
  </div>
</section>
<!-- Optional JavaScript --> 
<!-- jQuery first, then Popper.js, then Bootstrap JS --> 

 <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script> 
 <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script> 
 <script>
 	document.getElementsByTagName('body')[0].onload = getDelOrderData();

	window.setInterval(function(){
            getDelOrderData();
          }, 400000)//Do not change this value API will Block
		  
		 function getDelOrderData() {
			 
           let xhr = new XMLHttpRequest;  
           <?php if($waybill==NULL): ?>
                var barcode=$('#barcode').val();//waybill ID
           <?php else: ?>
                var barcode= <?php echo $waybill?>;//waybill ID
           <?php endif; ?>
		   
		   //var barcode='20011930';//waybill ID
		   var limits =$('#limit_sel').val();//Select Limit
		   var offset = $('#offset_field').val();//ofset for pagination
		   var url='https://app.koombiyodelivery.lk/api/delivery/FJgTXDKCJQFxVlzHFvDB/users?waybillid='+barcode+'&offset='+offset+'&limit='+limits;//Do Not Change the variable Names
		   
            xhr.open('GET',url, true)
    
            xhr.onload = function() 
        {    
		   //return server response as an object with JSON.parse
            console.log(JSON.parse(this.responseText));
		   //Success Message - status==success
		   //Error Message - status==error
			if(JSON.parse(this.responseText).status=='error'){
				alert(JSON.parse(this.responseText).message);
			}else{
					
							   $('#tbody_data,#pagination_ul').empty();
							  var responsedata=JSON.parse(this.responseText);
								for (var i = 0; i < responsedata.cust_orders.length; i++) {
									var cs = responsedata.cust_orders[i]['deliverystatus'];
								var label = 'default';
								/*
								Delivery Status
								1-Proccessing
								2-Collected by Koombiyo
								3-Despatch to Destination
								4-Received at Destination
								5-Out for Delivery
								6-Delivered
								7-Rescheduled
								8-Partially Delivered
								9-Return to Client
								10-Faild to Deliver
								11-Return to HO
								12-Different Destination
								13-Received at HO
								14-Received at Warehouse
								15-Client Received								
								*/
								if (cs==1 ||cs==2 || cs==14) {
								  label = 'primary';
								}else if (cs==3) {
								  label = 'primary';
								}else if (cs==4) {
								  label = 'info';
								}else if (cs==5) {
								  label = 'info';
								}else if (cs==6) {
								  label = 'success';
								}else if (cs==7 || cs==10) {
								  label = 'warning';
								}else if (cs==8 || cs==9) {
								  label = 'danger';								
								}else{
								  label = 'primary';
								}
							  
					  
					   var rmk =responsedata.cust_orders[i]['remarks'];//Internal Remarks
					   var kr=''
					   if(rmk==null){rmk=''; }
					   var kmb=responsedata.cust_orders[i]['cust_remarks'];//Remarks from Koombiyo
					   if(kmb==''){}else{kr='From Koombiyo- '+kmb;}
							   
								var html ='<tr class="tr-shadow"><td>'+responsedata.cust_orders[i]['order_date']+'</td>'+//Order Date
											'<td>'+responsedata.cust_orders[i]['waybill_id']+'</td>'+//waybill id
											'<td>'+responsedata.cust_orders[i]['order_id']+'</td>'+//Order Number
											'<td class="text-center">'+responsedata.cust_orders[i]['recever']+'</td>'+//Customer Name
											'<td>'+responsedata.cust_orders[i]['phoneno']+'</td>'+//Customer Phone No
											'<td>'+responsedata.cust_orders[i]['deliveryaddress']+'</td>'+  //Address
											'<td>'+responsedata.cust_orders[i]['description']+'</td>'+//Order Descriptin
											'<td style="font-size: 10px;">'+rmk+'<br>'+kr+'</td>'+	//Remarks									
											'<td>'+responsedata.cust_orders[i]['codamount']+'</td>'+ //COD
											'<td>'+responsedata.cust_orders[i]['deliverycharge']+'</td>'+//Delivery Charge
											'<td>'+responsedata.cust_orders[i]['district']+'</td>'+//Branch
											'<td class="text-center"><span class="label label-'+label+'">'+
											responsedata.cust_orders[i]['orderstatus']+'</span></td>';//Delivery Status										
							  
										$('#tbody_data').append(html);
							  }
							  //Pagination Start
							  var pagination_str = "";
							  var row_count = responsedata.rowcount;
							  var pages = Math.ceil(row_count/limits);
							  var j=1;
							  if (1<pages) {
								  if (0<=(offset-limits)) {
									  pagination_str+='<li><a aria-label="Previous" onclick="set_offset('+(offset-limits)+')"><span aria-hidden="true">&laquo;</span></a></li>';
								  }else{
									  pagination_str+='<li class="disabled"><a aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>';
								  }
								  for (var i = 0; i < pages; i++) {
								      if(i>10){
								          break;
								      }
									  if ((i*limits)==offset) {
										  var current='active';
									  }else{
										  var current='';
									  }
									  pagination_str+='<li class="'+current+'"><a onclick="set_offset('+(i*limits)+')">'+j+'</a></li>';
									  j++;
								  }
								  if ((offset+limits)<(pages*limits)) {
									  pagination_str+='<li><a aria-label="Next" onclick="set_offset('+(offset+limits)+')"><span aria-hidden="true">&raquo;</span></a></li>';
								  }else{
									  pagination_str+='<li class="disabled"><a aria-label="Next"><span aria-hidden="true">&raquo;</span></a></li>';
								  }
							  }
							  $('#pagination_ul').append(pagination_str);
							
							}
							//Pagination End
              }
              
        
        xhr.send();
	}
	
	function set_offset(value) {
            $('#offset_field').val(value);
            getDelOrderData();
          }
         
         
 </script>