<section class="content-header">
    <h1>
      List 
      <small>Gatepass</small>
      <a class="btn btn-primary btn-sm" href="<?php echo base_url('gatepass/add_new')?>">Add New</a>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Gatepass</a></li>
      <li><a href="#">List</a></li>
    </ol>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Batch Items</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Gatepass Code</td>
                    <td>Date</td>
                    <td>Status</td>
                    <td>Created By</td>
                    <td>Approved By</td>
                    <td>Remarks</td>
                    <td>Actions</td>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <?php
    foreach ($gatepasses as $key=> $gatepass) {
      $gatepasses[$key]['search_code'] = '<a href="'.base_url().'gatepass/edit/'.$gatepass['search_code'].'" target="_blank">'.$gatepass['search_code'].'</a>';
      $gatepasses[$key]['actions'] = '<a target="_blank" class="btn btn-primary btn-xs" href="'.base_url().'gatepass/view/'.$gatepass['search_code'].'">View</a> '.'<a target="_blank" class="btn btn-primary btn-xs" href="'.base_url().'gatepass/edit/'.$gatepass['search_code'].'">Edit</a> ';
      $gatepasses[$key]['status'] = ucwords(str_replace("_", " ", $gatepass['status']));
    }
  ?>

  <script>
    var order_list = <?php echo json_encode($gatepasses); ?>;
    window.onload = function(){
      $('#datatable').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : true,
        'order'       : [0, 'desc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        //'column'      : String,
        'data'        : order_list,
        'columns'     : [
            {"data": "search_code"},
            {"data": "created_date"},
            {"data": "status"},
            {"data": "created_by"},
            {"data": "approved_by"},
            {"data": "remarks"},
            {"data": "actions"},
        ]
      });
    }
      
  </script>