<section class="content-header">
  <h1>
    View
    <small>Product</small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="#">Products</a></li>
    <li class="active">View</li>
  </ol>  
  
</section>

<section class="content">
  <div class="row">
    <div class="col-md-4">
      <!-- /.customer-info-box -->
      <div class="box box-primary">
        <!-- box-header -->
        <div class="box-header with-border">
          <h3 class="box-title">Basic Info</h3>
        </div>
        <!-- /.box-header -->
   
        <!-- box-body -->   
        <div class="box-body">
          <table class="table table-striped">
            <tbody id="table_body">
              <tr>
                <td>Title</td>
                <td><?php echo $product->title ?></td>
              </tr>
              <tr>
                <td>Packing Label Title</td>
                <td><?php echo $product->short_title ?></td>
              </tr>
              <tr>
                <td>SKU</td>
                <td><?php echo $product->sku ?></td>
              </tr>
              <?php if($this-> session-> userdata('franchise')==1 OR $this-> session-> userdata('franchise')==3): ?>
              <tr>
                <td>Price</td>
                <td><?php echo $product->price ?></td>
              </tr>
              <?php endif; ?>
              <?php if($this-> session-> userdata('user_role')=='admin' OR $this-> session-> userdata('user_role')=='franchise_admin'): ?>
              <tr>
                <td>Wholesale Price</td>
                <td><?php echo $product->wholesale_price ?></td>
              </tr>
              <?php endif; ?>
            </tbody>
          </table>
        </div>
      </div>   
    </div> 
    <div class="col-md-8">
      <div class="box box-primary">
        <!-- box-header -->
        <div class="box-header with-border">
          <h3 class="box-title">Images</h3>
        </div>
        <!-- /.box-header -->
   
        <!-- box-body -->   
        <div class="box-body">
          <?php foreach($images as $image): ?>
            <img src="/sellercenter/assets/images/<?php echo $image['image_name'] ?>" alt="<?php echo $image['image_alt'] ?>" style="height: 150px; width: 150px">
          <?php endforeach; ?>
        </div>
      </div>
    </div> 
    <div class="col-md-12">
      <div class="box box-primary">
        <!-- box-header -->
        <div class="box-header with-border">
          <h3 class="box-title">Description</h3>
          <div class="pull-right">
            <input type="button" class="btn btn-primary" value="Copy" onclick="CopyToClipboard('moderator_desc')">
          </div>
        </div>
        <!-- /.box-header -->
   
        <!-- box-body -->   
        <div class="box-body" id="moderator_desc">
          <?php echo $product->moderator_description ?>
        </div>
      </div>
      
      <div class="box box-primary">
        <!-- box-header -->
        <div class="box-header with-border">
          <h3 class="box-title">Website Sinhala Description</h3>
          <div class="pull-right">
            <input type="button" class="btn btn-primary" value="Copy" onclick="CopyToClipboard('sinhala_desc')">
          </div>
        </div>
        <!-- /.box-header -->
   
        <!-- box-body -->   
        <div class="box-body" id="sinhala_desc">
          <?php echo $product->sinhala_long_description ?>
        </div>
      </div>
      <div class="box box-primary">
        <!-- box-header -->
        <div class="box-header with-border">
          <h3 class="box-title">Website English Description</h3>
          <div class="pull-right">
            <input type="button" class="btn btn-primary" value="Copy" onclick="CopyToClipboard('english_desc')">
          </div>
        </div>
        <!-- /.box-header -->
   
        <!-- box-body -->   
        <div class="box-body" id="english_desc">
          <?php echo $product->long_description ?>
        </div>
      </div>
    </div>  
  </div>
</section>

<script>
  var range;
  function CopyToClipboard(containerid) {
    if (document.selection) { 
        range = document.body.createTextRange();
        range.moveToElementText(document.getElementById(containerid));
        range.select().createTextRange();
        document.execCommand("copy"); 

    } else if (window.getSelection) {
         range = document.createRange();
         range.selectNode(document.getElementById(containerid));
         window.getSelection().addRange(range);
         document.execCommand("copy");
    }
  }
</script>