<section class="content-header">
    <h1>
      Callcenter Performance 
      <small>Reports</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Reports</a></li>
      <li><a href="#">Callcenter Performance</a></li>
    </ol>
  </section>

  <section class="content">
    <?php echo form_open($formMethod); ?>
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search</h3>
            </div>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <label>Search by date</label>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-2">
                    <label>From:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="from_date" class="form-control" value="<?php echo $from ?>">
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-2">
                    <label>To:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="to_date" class="form-control" value="<?php echo $to ?>">
                  </div>
                </div>
                <div class="col-md-2">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_date">Search</button>
                </div>
              </div>
            </div>  
          </div>  
      </div>
    </div>
    <?php echo form_close(); ?>
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">User Performance</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>User</td>
                    <td>Total Modifications</td>
                    <td>Confirmed</td>
                    <td>Not Confirmed</td>
                    <td>Hold</td>
                    <td>Cancelled</td>
                    <td>Created</td>
                    <td>Edited</td>
                    <td>Viewed</td>
                    <td>Notes Added</td>
                    <td>Marked Urgent</td>
                    <td>Marked Damaged</td>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <script>
    var order_list = <?php echo json_encode($table_data); ?>;
    window.onload = function(){
      $('#datatable').DataTable({
        'paging'      : false,
        'lengthChange': false,
        'searching'   : true,
        'order'       : [0, 'desc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        //'column'      : String,
        'data'        : order_list,
        'columns'     : [
            {"data": "name"},
            {"data": "total_modifications"},
            {"data": "confirmed"},
            {"data": "not_confirmed"},
            {"data": "hold"},
            {"data": "cancelled"},
            {"data": "created"},
            {"data": "edited"},
            {"data": "viewed"},
            {"data": "notes_added"},
            {"data": "marked_urgent"},
            {"data": "marked_damaged"}
        ],
        'dom': 'Bfrtip',
        buttons     : [
              'excel'
        ]
      });
    }
      
  </script>