function uploadExcel(){
	$('#table_body').html("");
	var myFile = document.getElementById('file');
	var input = myFile;
	var reader = new FileReader();
	reader.onload = function(){
		var fileData = reader.result;
		var workbook = XLSX.read(fileData,{type: 'binary'});
		workbook.SheetNames.forEach(function(SheetName){
			var rowObject = XLSX.utils.sheet_to_row_object_array(workbook.Sheets[SheetName]);
			excelJsonObj = rowObject;
		});

		var keyNames = Object.keys(excelJsonObj[0]);
		if (arraysEqual(keyNames,columns)) {
			showAlert("Valid File found","success");
			var i = 0;
			for (i = 0; i < excelJsonObj.length; i++) {
				var data = excelJsonObj[i];
				var table_row = "";
				columns.forEach(function(item){
					if (item=="WAYBILL_NO"||item=="INTERNAL_REF") {//required fields
						table_row+= '<td><input type="text" class="form-control" name="'+item+'_'+i+'" id="'+item+'_'+i+'" value="'+data[item]+'" readonly required></td>';
					}else{
						table_row+= '<td>'+data[item]+'</td>';
					}
				});	
				$('#result_table tbody:last-child').append("<tr>"+table_row+"</tr>");
			}
			$('#RowCount').val(i);
		}else{
			showAlert("Invalid File Format","warning");
		}
		  
	};

	reader.readAsBinaryString(input.files[0]);
		
}


function arraysEqual(arr1, arr2) {

    if (!Array.isArray(arr1) || ! Array.isArray(arr2) || arr1.length !== arr2.length)
      return false;

    for (var i = 0; i < arr1.length; i++) {

        if (arr1[i] !== arr2[i])
            return false;

    }
    return true;
}

function showAlert(msg,type){
	swal({
        title: msg,
        text: "",
        type: type,
        showCancelButton : false,
        showConfirmButton : false,
        timer : 2000
    });
}