<?php
 	class Settlement extends CI_Controller{

		public function update_settlements(){

 			$this-> permissions-> validate_access();
 			$data['title'] = 'Update courier ref';
 			$data['formMethod'] = 'admin/courier/update_courier_ref';
 			
 			$data['add_js'] = array("/sellercenter/assets/js/xlsx.full.min.js","/sellercenter/assets/js/updatesettlement.js");
 			
 			$data['columns'] = $this-> get_gh_settlement_columns();

 			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 
 				$this-> form_validation->set_rules('Reference_No_'.$i,'Reference No '.$i,'required|trim');
 				$this-> form_validation->set_rules('Search_Code_'.$i,'Search Code '.$i,'required|trim|callback_check_search_code_valid');
 			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('admin/update_settlements',$data);

 			} else {
 				$this-> Order_model-> update_courier_ref();
				$this-> session-> set_flashdata('courier_ref_updated','Courier reference updated successfuly');
				redirect('dashboard');
 			}
 		}


 		private function get_gh_settlement_columns(){
 			//return the column list of the XL sheet to update courier refference of orders
 			$columns = array(
 				"Num",
 				"Reference_No",
 				"City",
 				"Weight",
 				"COD_Received",
 				"Billable_Amount",
 				"NBT_Amount",
 				"Net_Amount"
 			);

 			return $columns;
 		}

 	
 	}	