 <?php
 	class Supplier_invoice extends CI_Controller{

 		public function add_new(){

 			$this-> permissions-> validate_access();

 			$data['title'] = 'Create Supplier Invocie';
 			$data['formMethod'] = 'supplier_invoice/add_new';

 			$user_id = $this-> session-> userdata('user_id');
 			$franchise = $this-> session-> userdata('franchise');

 			$data['products'] = $this-> Product_model-> get_all_products();
 			$data['suppliers'] = $this-> Supplier_model-> get_all_suppliers();
 		

 			$this-> form_validation->set_rules('add_item','Items','callback_check_products');
 			$this-> form_validation->set_rules('delivery_charge','Delivery Charge','required|trim|numeric');
			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 
				if (!is_null($this-> input-> post('product_'.$i))) {
					$this-> form_validation->set_rules('unit_price_'.$i,'Price '.$i,'required|trim|numeric');	
				}
			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('order/create_supplier_invoice',$data);

 			} else {
 				$search_code = $this-> Supplier_invoice_model-> insert_supplier_invoice($user_id);
				$this-> session-> set_flashdata('order_created','Supplier invocie ('.$search_code.') is successfully created.');
				//redirect('supplier_invoice/edit/'.$search_code);
				redirect('dashboard');
 			}

 		}


 		function check_products($item){
			$this-> form_validation-> set_message('check_products','Atleast one product should be selected');
			$product_selected = false;
			for ($i=1; $i < $this-> input-> post('RowCount'); $i++) { 
				if (!is_null($this-> input-> post('product_'.$i))) {
					if ((int)$this-> input-> post('qty_'.$i)>0) {
						$product_selected = true;
					}
				}
			}
			return $product_selected;	
		}


 	}