<?php

	defined('BASEPATH') OR exit('No direct script access allowed');

	class Permissions{

		public function validate_access(){
			$CI =& get_instance();

			//check loggedin
			if (!$CI-> session-> userdata('logged_in')) {
				redirect('users/login');
			}
			
			$class = $CI->router->fetch_class();
 			$method = $CI->router->fetch_method();
 			$permission_title = $class."_".$method;

 			if (!$CI-> User_model-> has_permission($permission_title)) {
 				redirect(base_url('dashboard/error_403'));
 			}
		}
	}