<section class="content-header">
    <h1>
      Create Packing Batch (<?php echo $courier-> name; ?>)
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">Update Courier Ref</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>


  <section class="content">

    <div class="row">
      
      <div class="col-xs-12">
        <div class="box">
          <?php echo form_open_multipart($formMethod); ?>

          <div class="box-header">
            <h3 class="box-title">Select Orders</h3>
            <h3 class="box-title pull-right" id="item_count">Selected: 0| Rs.0/-</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="result_table" class="table table-striped">
              <thead>
                <tr>
                  <th><input type="checkbox" id="select_all" onchange="select_all_rows();" checked></th>
                  <th>Search_Code</th>
                  <th>Courier_ref</th>
                  <th>Received COD</th>
                  <th>Recipient</th>
                  <th>Address</th>
                  <th>City</th>
                  <th>Phone #1</th>
                  <th>Phone #2</th>
                  <th>Items</th>
                  <th>Amount</th>
                </tr>
              </thead>
              <?php $num = 0; ?>
              <tbody id="table_body">
                <?php foreach($orders as $order) : ?>
                <tr>
                  <td><input class="select_row" type="checkbox" id="select_row_<?php echo $num; ?>" name="select_row_<?php echo $num; ?>" checked onchange="count_selected_rows();"></td>
                  <td><?php echo $order['search_code'] ?></td>
                  <td><input name="courier_ref_<?php echo $num?>" type="text" readonly value="<?php echo $order['courier_reference'] ?>"></td>
                  <td><input id="received_cod_<?php echo $num?>" name="received_cod_<?php echo $num?>" type="number" value="<?php echo ($order['grand_total']-200) ?>"></td>
                  <td><?php echo $order['resipient'] ?></td>
                  <td><?php echo $order['address'] ?></td>
                  <td><?php echo $order['city'] ?></td>
                  <td><?php echo $order['phone_one'] ?></td>
                  <td><?php echo $order['phone_two'] ?></td>
                  <td><?php echo $order['item_description'] ?></td>
                  <td><?php echo $order['grand_total'] ?></td>
                </tr>
                <?php $num++; ?>
              <?php endforeach; ?>
              </tbody>
            </table>
            <input type="hidden" name="RowCount" id="RowCount" value="<?php echo $num?>">
            </div>
          </div>

          <div class="box-footer">
            <button type="submit" class="btn btn-primary">Validate and Submit</button>
          </div>
          
        <?php  echo form_close(); ?> 
        </div>
      </div>
    </div>
      
  </section>

  <script>

    window.onload = function(){
      count_selected_rows();
    } 

    function select_all_rows(){
      if (document.getElementById('select_all').checked) {
        $('.select_row').prop('checked', true);
      }else{
        $('.select_row').prop('checked', false);
      }
      count_selected_rows();
    }

    function count_selected_rows(){
      var count = 0, amount = 0;
      for (var i = 0; i < $('#RowCount').val(); i++) {
        if (document.getElementById('select_row_'+i).checked) {
          count++;
          amount+= parseFloat($('#received_cod_'+i).val());
        }
      }
      $('#item_count').html('Selected: '+count+'| Rs.'+amount+'/-');
    }
  </script>