<section class="content-header">
    <h1>
      Create Settlement Batch(<?php echo $courier-> name; ?>)
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">Update Settlements</a></li>
    </ol>
    <?php if($this-> session-> flashdata('settlement_batch_error')) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo $this-> session-> flashdata('settlement_batch_error') ?>
      </div>
    <?php endif; ?>   
    
  </section>


  <section class="content">

    <div class="row">
      <div class="col-xs-12">
        <div class="box">

          <div class="box-header">
            <h3 class="box-title">Upload File</h3>
          </div>
          
          <div class="box-body">
            <div class="form-group">
              <label for="file">Select File</label>
              <input type="file" class="form-control" name="file" id="file">
            </div>
            <div class="form-group">
              <input type="button" value="Upload" onclick="uploadExcel()" class="btn btn-primary">
            </div>
            <div class="form-group">
              <label class="text-aqua">Column titles of the file should be as follows</label>
            </div>
            <div class="table-responsive">
              <?php foreach($columns as $column){
                echo $column."|";
              } ?>    
            </div>
          </div>
        </div>
      </div>
      <div class="col-xs-12">
        <div class="box">
            <?php $attributes = array('onSubmit' => 'return validate()'); ?>
            <?php echo form_open($formMethod); ?>

          <div class="box-header">
            <h3 class="box-title">Result Table</h3>
            <h3 id="item_count" class="box-title pull-right">Item Count: 0</h3>
          </div>
          
          <div class="box-body">
            
            <div class="col-xs-12 table-responsive">
              <table id="result_table" class="table table-striped">
              <thead>
                <tr>
                  <?php foreach($columns as $column): ?>
                    <?php if($column=="Reference_No"): ?>
                      <th><?php echo $column?></th>
                      <th>Search_Code</th>
                    <?php else : ?>  
                      <th><?php echo $column?></th>
                    <?php endif; ?> 
                  <?php endforeach; ?>
                </tr>
              </thead>
              <tbody id="table_body"></tbody>
            </table>
            <input type="hidden" name="RowCount" id="RowCount">
            </div>
          </div>

          <div class="box-footer">
            <button type="submit" name="submit" value="submit" class="btn btn-primary">Validate and Submit</button>
          </div>
          
        <?php  echo form_close(); ?> 
        </div>
      </div>
    </div>
      
  </section>

  <script>
    var columns = <?php echo json_encode($columns); ?>;
    var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };
  </script>