<section class="content-header">
    <h1>
      Dispatch Order By Order
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">Dispatch Order Batch</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>


  <section class="content">

    <div class="row">
      <div class="col-xs-12">
        <div class="box">

          <div class="box-header">
            <h3 class="box-title">Dispatch List</h3>
            <h3 class="box-title pull-right" id="item_count">Item Count: 0</h3>
          </div>
          
          <div class="box-body">
            <?php 
              echo form_open_multipart($formMethod); 
            ?>
            <div class="form-group  input-group margin">
              <label>Scan Barcodes</label>
              <input type="text" class="form-control" id="add_item" placeholder="Enter Barcode" autofocus>
                  <span class="input-group-btn">
                    <a class="btn btn-info" onclick="add_item()" value="Enter">Enter</a>
                  </span>
            </div>  
            <div class="col-xs-12 table-responsive">
              <table class="table table-stsriped" id="return_items">
                <thead>
                  <tr>
                    <th>Waybill</th>
                    <th>Order</th>
                    <th>Order Status</th>
                    <th>Message</th>
                    <th></th>
                  </tr>
                </thead>
                <tbody></tbody>
                <input type="hidden" name="RowCount" id="RowCount" value="0">
              </table>
            </div>
          </div>


        </div>
      </div>
    </div>       

  </section>

  <script>

    var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };

    
    /*document.addEventListener("keydown", keyDownTextField, false);

    function keyDownTextField(e) {
    var keyCode = e.keyCode;
      if(keyCode==13) {
        e.preventDefault();
        add_item();
      }
    }
    //var num = 0;

    function add_item(){
      if ($('#add_item').val()!="") {
        var td1 = '<td><input type="text" class="form-control" name="courier_reference_'+num+'" id="courier_reference_'+num+'" value="'+$('#add_item').val()+'" readonly></td>';
        var td2 = '<td><a class="btn btn-xs" href=""></a></td>';
        var td3 = '<td><a class="btn btn-xs" onclick="remove_item('+num+');"><i class="fa fa-close"></i></a></td>';
        var row = '<tr id="row_'+num+'">'+td1+td2+td3+'</tr>';
        $('#return_items tr:last').after(row);
        num++;
        $('#RowCount').val(num); 
        $('#add_item').val("");
        return false;
      }else{
        return true;
      }
    }*/

  </script>

  <?php  echo form_close(); ?> 