<section class="content-header">
    <h1>
      View Franchise Settlement 
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">View Franchise Settlement</a></li>
    </ol>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Batch Items</h3>
            <?php if($can_view_all): ?>
            <div class="pull-right">
              <button onclick="mark_as_paid()" class="btn btn-warning btn-xs"> Mark as Paid </button>&nbsp    
              <button onclick="filter_status('')" class="btn btn-primary btn-xs"> ALL </button>&nbsp
              <button onclick="filter_status('pending_payment')" class="btn btn-primary btn-xs">Pending</buttona>&nbsp
              <button onclick="filter_status('paid')" class="btn btn-primary btn-xs">Paid</button>&nbsp
            </div>
            <?php endif;?>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Batch Code</td>
                    <td>Franchise</td>
                    <td>Date</td>
                    <td>Created By</td>
                    <?php if($this-> session-> userdata('user_id')!='56' && $this-> session-> userdata('user_id')!='59'): ?>
                        <td>Payment Status</td>
                        <td>Item Count</td>
                        <td>COD Received</td>
                        <td>Product Cost</td>
                        <td>Service Charge</td>
                        <td>Payment Amount</td>
                    <?php endif;?>
                    <?php if($can_view_all): ?>
                        <td>Bank Account No</td>
                        <td>Account Holder</td>
                        <td>Bank</td>
                        <td>Account Branch</td>
                    <?php endif;?>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <?php
    foreach ($franchise_settlements as $key => $franchise_settlement) {
      $franchise_settlements[$key]['search_code_link'] = '<a href="'.base_url().'admin/order_batch/view_franchise_settlement/'.$franchise_settlement['search_code'].'" target="_blank">'.$franchise_settlement['search_code'].'</a>';
    }
  ?>

  <script>
    var order_list = <?php echo json_encode($franchise_settlements); ?>;
    window.onload = function(){
      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };
      
      table = $('#datatable').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : true,
        'order'       : [0, 'desc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        'select'      : {'style': 'multi'},
        //'column'      : String,
        'data'        : order_list,
        'columns'     : [
            {"data": "search_code_link"},
            {"data": "franchise"},
            {"data": "created_on"},
            {"data": "created_by"},
            <?php if($this-> session-> userdata('user_id')!='56' && $this-> session-> userdata('user_id')!='59'): ?>
                {"data": "payment_status"},
                {"data": "item_count"},
                {"data": "total_cod_received"},
                {"data": "total_commision"},
                {"data": "total_service_charge"},
                {"data": "total_amount"},
            <?php endif;?>
            <?php if($can_view_all): ?>
                {"data": "bank_account_number"},
                {"data": "bank_account_name"},
                {"data": "bank"},
                {"data": "bank_account_branch"},
            <?php endif;?>
        ],
        'dom': 'Bfrtip',
          'buttons': [
            'selectAll',
            'selectNone',  
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export all',
                exportOptions: {
                    modifier: {
                        selected: null
                    }
                }
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export Selected'
            } )
        ]
      });
    }
    
    <?php if($can_view_all): ?>
        function filter_status(status) {
            $('#datatable').DataTable().column(4).search(status,true,false).draw();
        }
        
        function mark_as_paid(){
          var orders = new Array();
          $.each( table.rows('.selected').data(), function( key, value ) {
            orders[key] = value.search_code;
          });
          var order_str = orders.join(',');
          window.location.replace("<?php echo base_url('admin/order_batch/mark_franchise_settlements_as_paid/?batches=') ?>"+order_str);
        }
    <?php endif;?>
      
  </script>