	<html>
	<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	    
	    <title>OnlineCity-Print Packing Batch</title>
	    <!-- Tell the browser to be responsive to screen width -->
	    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
	    <link rel="stylesheet" href="/sellercenter/assets/adminlte/bower_components/bootstrap/dist/css/bootstrap.min.css">
	    <script src="/sellercenter/assets/js/JsBarcode.code128.min.js"></script>
	    <script src="/sellercenter/assets/adminlte/bower_components/jquery/dist/jquery.min.js"></script>
	    <script src="/sellercenter/assets/adminlte/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
	    <script>
	    	window.onload = function(){
	    		JsBarcode(".barcode").init();
	    		window.print();
	    	}
	    </script>
	    
	    <style type="text/css">
	      @page {
    		   width: 80mm;
    		   margin: 1mm 1mm 1mm 1mm;
    		}
    
    		.container{
    			margin: auto;
    			page-break-after: always;
    			page-break-inside: avoid;
    			
    		}
    
    		.small-text{
    			font-size: 13px;
    		}
    
    		.large-text{
    			font-size: 18px;
    		}
    		
    		.tiny-text{
    		    font-size: 8px;
    		}
	    </style>

	  </head>
	  <body>
		  <?php foreach($packing_batch as $item): ?>
		      <?php 
	      		  $phone = '';
			      if ($item['phone_two'] == '') {
			        $phone = $item['phone_one'];
			      }else {
			        $phone = $item['phone_one'].' / '.$item['phone_two'];
			      }
	      		?>
    		  <div class = "container">
                <div style="text-align: center;">
                    <br>
                    <img src="/sellercenter/assets/images/<?php echo $item['image_name'] ?>" style="width: auto; height: 45px;" alt=""><br>
                    <b class="small-text"><?php echo $item['franchise_address'] ?></b> <br>
                    <b class="small-text">TP: <?php echo $item['franchise_phone']?></b> <br>
                    <span class="small-text"><?php echo date("Y-m-d h:i:sa");?></span>
                </div>                
        		<hr style="border: 1px solid; margin-bottom: 0.1em;">
                <b class="small-text">Order Number: <?php echo $item['search_code']?></b> <br>
          		<b class="small-text">Customer: <?php echo $item['resipient']?></b> <br>
          		<b class="small-text">Address: <?php echo $item['address']?>,<?php echo $item['city']?></b> <br>
                <hr style="border: 1px dashed; margin-top: 0.5em; margin-bottom: 0.1em;">
                    <div style="float: right;">
                         <span class="small-text">Amount</span> 
                    </div>
                    <div style="float: left; width: 45mm">
                         <span class="small-text">Item</span> 
                    </div>
                    <div style="display: inline;">
                        <span class="small-text">Qty</span> 
                    </div>
                <hr style="border: 1px dashed; margin-top: 0.1em; margin-bottom: 0.1em;">
                <?php $last_item = '';?>
                <?php foreach($order_items[$item['search_code']] as $order_item): ?>
                    <?php if($last_item!=$order_item['title']): ?>
                    <div>
                        <div style="float: left;">
                            <span class="small-text"><?php echo $order_item['title'].' X '.$order_item['quantity'] ?></span>
                        </div>
                        <div style="text-align: right;">
                            <span class="small-text"><?php echo number_format($order_item['amount'],2) ?></span>
                        </div>
                    </div>
                    <?php $last_item=$order_item['title']; ?>
                    <?php endif;?>
                <?php endforeach; ?> 
                <div>
                    <div style="float: left;">
                        <span class="small-text">Shipping Cost: </span>
                    </div>
                    <div style="text-align: right;">
                        <span class="small-text"><?php echo number_format($item['franchise_shipping_cost'],2) ?></span><br>
                    </div>
                </div>
                <div>
                    <div style="float: left;">
                        <span class="small-text">Gross Amount: </span>
                    </div>
                    <div style="text-align: right;">
                        <span class="small-text"><?php echo number_format($item['grand_total'],2) ?></span><br>
                    </div>
                </div>   
        		<hr style="border: 1px dashed;">
                <div style="text-align: center;">
                    <span class="small-text">Thank You For Shopping With Us!</span><br>
                    <span class="tiny-text">Powered by XypherLabs</span>
                </div>
                
                <hr style="border: 1px solid;">
        		<!--svg class="barcode" jsbarcode-width="2" jsbarcode-height="25" jsbarcode-value="<?php echo $item['courier_reference']?>"></svg-->
        	  </div>
         <?php endforeach; ?>	  
	   </body>      

    </html>