	<html>
	<head>
	    <meta charset="utf-8">
	    <title>WebStore-Print Packing Batch</title>
	    <!-- Tell the browser to be responsive to screen width -->
	    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
	    <link rel="stylesheet" href="/sellercenter/assets/adminlte/bower_components/bootstrap/dist/css/bootstrap.min.css">
	    <script src="/sellercenter/assets/js/JsBarcode.code128.min.js"></script>
	    <script src="/sellercenter/assets/adminlte/bower_components/jquery/dist/jquery.min.js"></script>
	    <script src="/sellercenter/assets/adminlte/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
	    <script>
	    	window.onload = function(){
	    		JsBarcode(".barcode").init();
	    		window.print();
	    	}
	    </script>
	    
	    <style type="text/css">
	      @page {
    		   size: 64mm 90mm;
    		   margin: 1mm 1mm 1mm 1mm;
    		}
    
    		.container{
    			margin: auto;
    			page-break-after: always;
    			page-break-inside: avoid;
    			text-align: center;
    		}
    
    		.small-text{
    			font-size: 13px;
    		}
    
    		.large-text{
    			font-size: 18px;
    		}
    		
    		.tiny-text{
    		    font-size: 8px;
    		}
	    </style>

	  </head>
	  <body>
		  <?php foreach($packing_batch as $item): ?>
		      <?php 
	      		  $phone = '';
			      if ($item['phone_two'] == '') {
			        $phone = $item['phone_one'];
			      }else {
			        $phone = $item['phone_one'].' / '.$item['phone_two'];
			      }
	      		?>
    		  <div class = "container">
        		<img src="/sellercenter/assets/images/<?php echo $item['image_name'] ?>" style="width: auto; height: 45px;" alt=""><br>
          		<b class="small-text"><?php echo $item['search_code']?></b> <br>
          		<b class="large-text"><?php echo $item['resipient']?></b> <br>
          		<b class="small-text"><?php echo $item['address']?></b> <br>
          		<b class="small-text"><?php echo $item['city']?></b> <br> 
          		<b class="small-text"><?php echo $phone?></b> <br> 
        		<b class="small-text">Rs.<?php echo number_format($item['grand_total'],2) ?></b> <br>
        		<span class="small-text">Items: </span> <b class="small-text"><?php echo $item['item_description']?></b> <br>
        		<?php if($item['payment_type']=='EX'): ?>
        		    <b class="large-text">EXCHANGE</b> <br>
        		<?php endif; ?>
        		<hr style="border: 1px solid;">
        		<svg class="barcode" jsbarcode-width="2" jsbarcode-height="25" jsbarcode-value="<?php echo $item['courier_reference']?>"></svg>
        		<div>
        		    <span class="tiny-text">Let's Rise Up With Sri Lanka!</span>
        		</div>
        	  </div>
         <?php endforeach; ?>	  
	   </body>      

    </html>