<section class="content-header">
    <h1>
      <?php echo $title?>
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#"><?php echo $title?></a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>


  <section class="content">

    <div class="row">
      <div class="col-xs-12">
        <div class="box">

          <div class="box-header">
            <h3 class="box-title">Orders List</h3>
            <h3 class="box-title pull-right" id="item_count">Item Count: 0</h3>
          </div>
          
          <div class="box-body">
            <?php 
              echo form_open_multipart($formMethod); 
            ?>
            <div class="form-group  input-group margin">
              <label>Enter Manualy</label>
              <textarea type="text" class="form-control" id="manual_input" placeholder="Enter Barcodes Manualy"></textarea>
                  <span class="input-group-btn">
                    <a class="btn btn-info" onclick="loadReferences()" value="Enter">Enter</a>
                  </span>
            </div>
            <div class="form-group  input-group margin">
              <label>Enter Barcode</label>
              <input type="text" class="form-control" id="add_item" placeholder="Enter Barcode" autofocus>
                  <span class="input-group-btn">
                    <a class="btn btn-info" onclick="add_item()" value="Enter">Enter</a>
                  </span>
            </div>  
            <div class="col-xs-12 table-responsive">
              <table class="table table-stsriped" id="return_items">
                <thead>
                  <tr>
                    <th>Pending Returns</th>
                    <th>Order</th>
                    <th>Status</th>
                    <th></th>
                  </tr>
                </thead>
                <tbody></tbody>
                <input type="hidden" name="RowCount" id="RowCount" value="0">
              </table>
            </div>
          </div>

          <div class="box-footer">
            <button type="submit" class="btn btn-primary">Validate and Submit</button>
          </div>

        </div>
      </div>
    </div>       

  </section>

  <script>

    var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };

  </script>

  <?php  echo form_close(); ?> 