<section class="content-header">
    <h1>
      View Franchise Settlement 
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">View Franchise Settlement</a></li>
      <li><a href="#"><?php echo $franchise_settlement['search_code'] ?></a></li>
    </ol>   
    
  </section>


  <section class="content">
      <div class="row">
    <?php if($this-> session-> userdata('user_id')!='56' && $this-> session-> userdata('user_id')!='59'): ?>
      <div class="col-xs-12">
        <div class="box">

          <div class="box-header">
            <h3 class="box-title">Franchise Settlement</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12">
              <table class="table table-striped">
                <tbody id="table_body">
                  <tr>
                    <td>Batch Code</td>
                    <td><?php echo $franchise_settlement['search_code'] ?></td>
                  </tr>
                  <tr>
                    <td>Created on</td>
                    <td><?php echo $franchise_settlement['created_on'] ?></td>
                  </tr>
                  <tr>
                    <td>Created By</td>
                    <td><?php echo $franchise_settlement['created_by'] ?></td>
                  </tr>
                  <tr>
                    <td>Item Count</td>
                    <td><?php echo $franchise_settlement['item_count'] ?></td>
                  </tr>
                  <tr>
                    <td>COD Received</td>
                    <td><?php echo $franchise_settlement['total_cod_received'] ?></td>
                  </tr>
                  <tr>
                    <td>Product Cost</td>
                    <td><?php echo $franchise_settlement['total_commision'] ?></td>
                  </tr>
                  <tr>
                    <td>Service Charge</td>
                    <td><?php echo $franchise_settlement['total_service_charge'] ?></td>
                  </tr>
                  <tr>
                    <td>Payment Amount </td>
                    <td><?php echo $franchise_settlement['total_amount'] ?></td>
                  </tr>
                  <tr>
                    <td>Payment Status</td>
                    <td><?php echo $franchise_settlement['payment_status'] ?></td>
                  </tr>
                </tbody>
              </table>  
          </div>
          </div>
        </div>
      </div>
    <?php endif;?>
      <div class="col-xs-12">
        <div class="box">
          
          <div class="box-body">
            <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
              <li class="active"><a href="#orders_tab" data-toggle="tab">Orders in batch</a></li>
              <li><a href="#products_tab" data-toggle="tab">Products in batch</a></li>
            </ul>
            <div class="tab-content"> 
            <div class="tab-pane active" id="orders_tab">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Order_No</td>
                    <td>Courier_Ref</td>
                    <td>Private_Ref</td>
                    <td>Status</td>
                    <td>Recipient</td>
                    <td>Address</td>
                    <td>City</td>
                    <td>Item_Description</td>
                    <td>Phone#</td>
                    <td>Phone#2</td>
                    <td>Created User</td>
                    <td>Order Amount</td>
                    <?php if($this-> session-> userdata('user_id')!='56' && $this-> session-> userdata('user_id')!='59'): ?>
                        <td>COD Received</td>
                        <td>Product Cost</td>
                        <td>Service Charge</td>
                        <td>Payment Amount</td>
                    <?php endif;?>
                  </tr>
                </thead>
              </table>  
            </div>
            </div><!--end of orders_tab-->
            <div class="tab-pane" id="products_tab">
                <div class="col-xs-12 table-responsive">
                  <table id="datatable_2" class="table table-bordered table-hover">
                    <thead>
                      <tr>
                        <td>Product</td>
                        <td>Quantity</td>
                        <td>Delivered Quantity</td>
                        <td>Returned Quantity</td>
                      </tr>
                    </thead>
                  </table>  
                </div>
            </div><!--end of products_tab-->    
            </div><!--end of tab-content-->
            </div><!--end of nav-tabs-custom-->
          </div>
        </div>
      </div>
   

    </div>


  </section>

  <script>

    var order_list = <?php echo json_encode($batch_items); ?>;
    var product_list = <?php echo json_encode($batch_products); ?>;

    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };

      $('#datatable').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 0, "asc" ]],
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "search_code"},
              {"data": "courier_reference"},
              {"data": "private_reference"},
              {"data": "order_status"},
              {"data": "resipient"},
              {"data": "address"},
              {"data": "city"},
              {"data": "item_description"},
              {"data": "phone_one"},
              {"data": "phone_two"},
              {"data": "created_by"},
              {"data": "grand_total"},
              <?php if($this-> session-> userdata('user_id')!='56' && $this-> session-> userdata('user_id')!='59'): ?>
                  {"data": "cod_recieved"},
                  {"data": "total_commision"},
                  {"data": "service_charge"},
                  {"data": "franchise_payment"}
              <?php endif;?>
          ],
          'dom': 'Bfrtip',
          'buttons': [
                'copy', 'excel', 'pdf', 'print'
            ]
        });
        
        $('#datatable_2').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 1, "desc" ]],
          //'column'      : String,
          'data'        : product_list,
          'columns'     : [
              {"data": "product"},
              {"data": "quantity"},
              {"data": "settled_qty"},
              {"data": "returned_qty"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } )
        ]
        });
      }

  </script>