<!-- Content Header (Page header) -->
<section class="content-header">
      <h1>
            Edit
        <small>Couriers</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Couriers</a></li>
        <li class="active">Edit</li>
      </ol>
      <?php if(validation_errors()) : ?>
        <div class="alert alert-danger alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          <h4><i class="icon fa fa-ban"></i> Alert!</h4>
          <?php echo validation_errors(); ?>
        </div>
      <?php endif; ?>   
      
    </section>

    <!-- Main content -->
    <section class="content">
    <?php echo form_open($formMethod); ?>
    <div class="row">
        <div class="col-md-12">
            <!-- /.customer-info-box -->
            <div class="box box-primary">
         
                <!-- box-body -->   
                <div class="box-body">
                    <div class="form-group">
                        <label for="name">Name</label>
                        <input type="text" class="form-control" name="name" id="name" placeholder="Enter Name" required value="<?php echo $courier->name ?>">
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                                <div class="form-group">
                                <label for="label">Label</label>
                                <input type="text" class="form-control" name="label" id="label" placeholder="Enter Label" required value="<?php echo $courier->label ?>">
                            </div>
                        </div>
                        <div class="col-md-6">
                                <div class="form-group">
                                <label for="address">Label Colour</label>
                                <input type="text" class="form-control" name="label_colour" id="label_colour" placeholder="Enter Label Colour" required value="<?php echo $courier->label_colour ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div id="phone_one_div" class="form-group">
                                <label for="phone_one">Phone No.#1</label>
                                <input type="text" class="form-control" name="phone_one" id="phone_one" placeholder="Enter Phone No" value="<?php echo $courier->phone_one ?>">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div id="phone_two_div" class="form-group">
                                <label for="phone_two">Phone No.#2</label>
                                <input type="text" class="form-control" name="phone_two" id="phone_two" placeholder="Enter Phone No" value="<?php echo $courier->phone_two ?>">
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="email">Email</label>
                        <input type="text" class="form-control" name="email" id="email" placeholder="Enter Email" value="<?php echo $courier->email ?>">
                    </div>
                    <div class="form-group">
                        <label for="tracking_url">Tracking URL</label>
                        <input type="text" class="form-control" name="tracking_url" id="tracking_url" placeholder="Enter Tracking URL" value="<?php echo $courier->tracking_url ?>">
                    </div>
                    <div class="form-group">
                        <label for="waybill_prefix">Waybill Prefix</label>
                        <input type="text" class="form-control" name="waybill_prefix" id="waybill_prefix" placeholder="Enter Waybill Prefix" value="<?php echo $courier->waybill_prefix ?>">
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                                <div class="form-group">
                                <label for="last_waybill">Last Waybill</label>
                                <input type="text" class="form-control" name="last_waybill" id="last_waybill" placeholder="Enter Last Waybill" required value="<?php echo $courier->last_waybill ?>">
                            </div>
                        </div>
                        <div class="col-md-6">
                                <div class="form-group">
                                <label for="stop_waybill">Stop Waybill</label>
                                <input type="text" class="form-control" name="stop_waybill" id="stop_waybill" placeholder="Enter Stop Waybill" value="<?php echo $courier->stop_waybill ?>">
                            </div>
                        </div>
                    </div>
                    <?php if($add_order_criteria) : ?>
                    <div class="row">
                        <div class="col-md-6">
                                <div class="form-group">
                                <label for="get_order_criteria">Order Criteria One</label>
                                <textarea rows="3" type="text" class="form-control" name="get_order_criteria" id="get_order_criteria" placeholder="Enter Order Criteria" required><?php echo $courier->get_order_criteria ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                                <div class="form-group">
                                <label for="get_order_criteria_2">Order Criteria Two</label>
                                <textarea rows="3" type="text" class="form-control" name="get_order_criteria_2" id="get_order_criteria_2" placeholder="Enter Order Criteria"><?php echo $courier->get_order_criteria_2 ?></textarea>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>
                    <div class="checkbox">
                        <label for="active">
                            <input type="checkbox" name="active" id="active" <?php if($courier->active) echo "checked" ?>>
                            Active
                        </label>  
                    </div>
                </div>
                <!-- /.box-body -->
                <div class="box-footer">
                    <button type="submit" class="btn btn-primary pull-right">Submit</button>
              </div>
            </div>
        </div>
    </div>
    <?php echo form_close(); ?>
    </section>  