     
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Edit
        <small>Order</small>
        <!--a class="btn btn-primary btn-sm" href="<?php echo base_url().'orders/add_new' ?>" autofocus>Add New</a-->
        <button id="add_new" class="btn btn-primary btn-sm" onclick="keyDownAddNew();" autofocus>Add New</button>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Orders</a></li>
        <li class="active">Edit</li>
      </ol>
      <?php if(validation_errors()) : ?>
        <div class="alert alert-danger alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          <h4><i class="icon fa fa-ban"></i> Alert!</h4>
          <?php echo validation_errors(); ?>
        </div>
      <?php endif; ?>   
      
    </section>

     <!-- Main content -->
    <section class="content">
      <?php  
        $attributes = array('onsubmit' => 'return validate()');
        echo form_open_multipart($formMethod, $attributes); 
      ?>
      <div class="row">
          <div class="col-md-5">
            <!-- /.customer-info-box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Customer Info</h3>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="resipient">Customer</label>
                  <input type="text" class="form-control" name="resipient" id="resipient" placeholder="Enter Customer Name" value="<?php echo $order-> resipient; ?>" required>
                </div>
                <div class="form-group">
                  <label for="fb_name">Private Reference</label>
                  <input type="text" class="form-control" name="private_reference" id="private_reference" placeholder="Private Reference" value="<?php echo $order-> private_reference; ?>">
                </div>
                <div class="form-group">
                  <label for="address">Address</label>
                  <input type="text" class="form-control" name="address" id="address" placeholder="Enter Address" value="<?php echo $order-> address; ?>">
                </div>
                <?php 
                  $city_key = array_column($cities, 'id');
                  $selected_city_index = array_search($order-> city, $city_key); 
                ?>
                <div class="form-group" id="city_div">
                  <label for="city">City</label>
                  <input type="hidden" name="city_id" id="city_id" value="<?php echo $order-> city; ?>">
                  <input type="text" class="form-control" name="city" id="city" placeholder="Enter City"  onkeyup="search_city();" value="<?php echo $selected_city-> city; ?>">
                  <div id="city_result"></div>
                </div>
                <div class="form-group">
                  <label for="zip_code">Postal Code</label>
                  <input type="text" class="form-control" name="zip_code" id="zip_code" placeholder="Postal Code"  disabled value="<?php echo $selected_city-> zip_code; ?>">
                </div>
                <div class="form-group" id="phone_one_div">
                  <label for="phone_one">Phone No.#1</label>
                  <input type="text" class="form-control" name="phone_one" id="phone_one" placeholder="Enter Phone No" required value="<?php echo $order-> phone_one; ?>">
                </div>
                <div class="form-group" id="phone_two_div">
                  <label for="phone_two">Phone No.#2</label>
                  <input type="text" class="form-control" name="phone_two" id="phone_two" placeholder="Enter Phone No" value="<?php echo $order-> phone_two; ?>">
                </div>
                <div class="form-group">
                  <label for="payment_type">Payment Type</label>
                  <select class= "form-control" name="payment_type" id="payment_type">   
                      <option value="COD" <?php if($order-> payment_type=='COD') echo 'selected' ?>>Cash on Delivery</option>
                      <option value="AP" <?php if($order-> payment_type=='AP') echo 'selected' ?>>Already Paid</option>
                      <option value="EX" <?php if($order-> payment_type=='EX') echo 'selected' ?>>Exchange</option>
                </select>
                </div>
              </div>
              <!-- /.box-body -->

              <div class="box-footer">
                <button type="submit" class="btn btn-primary">Update</button>
              </div>
            </div>
            <!-- /.customer-info-box -->
          </div>
          <div class="col-md-7">
            <!-- /.item-info-box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Item Info</h3>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="add_item">Add Item</label>
                  <input type="text" class="form-control" id="add_item" name="add_item" placeholder="Search Item" onkeyup="search_item();">
                  <ul id="item_list"></ul>
                </div>  
                <div class="col-xs-12 table-responsive">
                  <table class="table table-striped" id="order_item">
                    <thead>
                      <tr>
                        <th>Product</th>
                        <th>Qty</th>
                        <th>Price(Rs)</th>
                        <th>Amount(Rs)</th>
                        <th></th>
                      </tr>
                    </thead>
                    <tbody>
                      <?php 
                        $num = 1; 
                        $item_key = array_column($products, 'product');
                        $product_list = array();
                      ?> 
                      <?php foreach($order_items as $order_item): ?>
                        <?php 
                          $index = array_search($order_item['product'], $item_key); 
                          array_push($product_list, $index);
                        ?>
                      <tr id="row_<?php echo $num ?>">
                        <td>
                          <input type="hidden" name="product_<?php echo $num ?>" id="product_<?php echo $num ?>" value="<?php echo $order_item['product'] ?>">
                          <input type="hidden" id="index_<?php echo $num ?>" value="<?php echo $index ?>">
                          <?php echo $order_item['short_title']; ?>
                        </td>
                        
                        <?php if($price_editable) : ?>
                          <td><input type="number" class="form-control input-sm" name="qty_<?php echo $num ?>" id="qty_<?php echo $num ?>" placeholder="QTY" value="<?php echo $order_item['quantity'] ?>" onkeyup="change_quantity_price_editable(<?php echo $num ?>);" onchange="change_quantity_price_editable(<?php echo $num ?>);"></td>
                        <?php else : ?>
                          <td><input type="number" class="form-control input-sm" name="qty_<?php echo $num ?>" id="qty_<?php echo $num ?>" placeholder="QTY" value="<?php echo $order_item['quantity'] ?>"></td>
                        <?php endif; ?>  
                        
                        <td><?php echo number_format((float)$order_item['price'],2,'.','') ?></td>
                        <?php if($price_editable) : ?>
                          <td><input type="number" id="amount_<?php echo $num ?>" name="amount_<?php echo $num ?>" value="<?php echo $order_item['amount'] ?>"></td>
                        <?php else : ?>
                          <td id="amount_<?php echo $num ?>"><?php echo $order_item['amount'] ?></td>
                        <?php endif; ?>
                        <td><a class="btn btn-xs" onclick="removeoption(<?php echo $num ?>,<?php echo $index ?>);"><i class="fa fa-close"></i></a></td>
                      </tr>
                      <?php $num++; ?>
                      <?php endforeach; ?>                 
                    </tbody>
                  </table>
                </div>
              </div>
              <!-- /.box-body -->

              <div class="box-footer">
                <div class="pull-right">
                  <?php if($price_editable) : ?>
                    <div class="col-xs-12">
                      <input type="checkbox" name="edit_delivery" id="edit_delivery" onchange="edit_delivery_charge()" checked> 
                      <b>Edit Delivery Rate</b> 
                    </div>
                  <?php endif; ?>
                  <div class="col-xs-6">
                    <label>Total Amount:</label><br>
                    <label>Delivery Charge:</label><br>
                    <label>Grand Total:</label><br>
                  </div>
                  <div class="col-xs-6">
                    <label id="total_amount"><?php echo $order->total_amount ?></label><br>
                    <?php if($price_editable) : ?>
                      <input type="number" name="delivery_charge" id="delivery_charge" value="<?php echo $order->franchise_shipping_cost ?>" ><br>
                    <?php else : ?>
                      <label id="delivery_charge"><?php echo $order->franchise_shipping_cost ?></label><br>
                    <?php endif; ?>
                    <label id="grand_total"><?php echo $order->grand_total ?></label><br>
                  </div>
                </div>
                <input type="hidden" name="RowCount" id="RowCount" value="<?php echo $num ?>">
                <input type="button" value="Calculate" onclick="calculate_amount(); validate();" class="btn btn-primary">
              </div>
            </div>
            <!-- /.item-info-box -->
            
            <!-- /.order remarks box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Order Remarks</h3>

                <div class="box-tools pull-right">
                  <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                </div>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="order_status">Status</label>
                  <select class= "form-control" name="order_status" id="order_status" onchange="change_status();">   
                    <?php $status_available = false;?>
                    <?php foreach($order_status as $status): ?>
                      <?php if($order-> order_status==$status['id']) : ?>
                        <option value="<?php echo $status['id']; ?>" selected="selected"><?php echo $status['status']; ?></option>
                        <?php $status_available = true;?>
                      <?php else : ?>
                        <option value="<?php echo $status['id']; ?>"><?php echo $status['status']; ?></option>
                      <?php endif; ?>
                    <?php endforeach; ?>
                    <?php if(!$status_available) : ?>
                        <option value="<?php echo $order-> order_status; ?>" selected="selected" disabled><?php echo $order-> order_status; ?></option>
                    <?php endif; ?>
                  </select>
                </div>
                <div id="hold_date" class="form-group" style="display: none;">
                  <label>Hold Until</label>

                  <div class="input-group date">
                    <div class="input-group-addon">
                      <i class="fa fa-calendar"></i>
                    </div>
                    <input type="text" class="form-control pull-right" name="hold_until" id="datepicker">
                  </div>
                  <!-- /.input group -->
                </div>
                <div id="hold_reason" class="form-group" style="display: none;">
                  <label for="reason">Reason - not confirm</label>
                  <select class= "form-control" name="reason" id="reason">   
                      <option value="No Answer">No Answer</option>
                      <option value="Phone off">Phone off</option>
                      <option value="Number busy">Number busy</option>
                      <option value="Phone not responding">Phone not responding</option>
                </select>
                </div>
                <div class="form-group">
                  <label for="customer_notes">Customer Notes</label>
                  <textarea rows="2" class="form-control" name="customer_notes" id="customer_notes" placeholder="Enter customer notes"><?php echo $order-> customer_notes; ?></textarea>
                </div>
                <div class="form-group">
                  <label for="delivery_notes">Delivery Notes</label>
                  <textarea rows="2" class="form-control" name="delivery_notes" id="delivery_notes" placeholder="Enter delivery notes"><?php echo $order-> delivery_notes; ?></textarea>
                </div>
                <?php if($waybill_editable) : ?>
                    <div class="form-group">
                      <label for="courier_reference">Waybill No.</label>
                      <input type="text" class="form-control" name="courier_reference" id="courier_reference" placeholder="Waybill No" value="<?php echo $order-> courier_reference; ?>">
                    </div>
                    <div class="form-group">
                         <label for="courier">Courier</label>
                        <select class= "form-control" name="courier">   
                            <?php foreach($couriers as $item): ?>
                              <?php if($order->courier == $item['id']) : ?>
                                <option value="<?php echo $item['id']; ?>" selected="selected"><?php echo $item['name']; ?></option>
                              <?php else : ?>
                                <option value="<?php echo $item['id']; ?>"><?php echo $item['name']; ?></option>
                              <?php endif; ?>      
                            <?php endforeach; ?>
                        </select>
                    </div>    
                <?php endif;?>
              </div>

              <div class="box-footer">
              </div>
            </div>
            <!-- /.order remarks box -->  
          </div>
      </div>
      <?php  echo form_close(); ?>      
    </section>  

    <script>

      window.onload = function(){
        $('#datepicker').datepicker({
          autoclose: true
        });
        //calculate_amount();
      }

      function change_status(){
        if ($("#order_status option:selected").text()!="HOLD") {
          $('#hold_date').css('display', 'none');
        }else{
          $('#hold_date').css('display', 'block');
        }

        if ($("#order_status option:selected").text()!="NOT CONFIRM") {
          $('#hold_reason').css('display', 'none');
        }else{
          $('#hold_reason').css('display', 'block');
        }
      }
       var base_url = <?php echo json_encode(base_url()) ?>;
      var num = <?php echo json_encode($num) ?>;
      var product_list = <?php echo json_encode($product_list)?>;
      var selected_city_index = <?php echo json_encode($selected_city_index)?>;
      var products = <?php echo json_encode($products)?>;
      var cities = <?php echo json_encode($cities)?>;
      var total_amount = 0, grand_total = 0, delivery_charge = 0, total_weight = 0;
      var price_editable = <?php echo json_encode($price_editable)?>;

      /*function search_item() {
        var input, filter, productTxt;
        var content = "";
        input = document.getElementById("add_item");
        filter = input.value.toUpperCase();
        if(input.value.length > 2){
          for (i = 0; i < products.length; i++) {
            productTxt = products[i].title + products[i].sku;
            if (productTxt.toUpperCase().indexOf(filter) > -1) {
              content+= "<li><a onclick='add_order_item("+i+");'>"+products[i].sku+"-"+products[i].title+"</a></li>";
            }
          }
        } 
        $('#item_list').html(content);
      }*/

      function search_item() {
        var input, filter, productTxt;
        var content = "";
        input = document.getElementById("add_item");
        filter = input.value.toUpperCase();
        if(input.value.length > 2){
          for (i = 0; i < products.length; i++) {
            productTxt = products[i].title + products[i].sku;
            if (productTxt.toUpperCase().indexOf(filter) > -1) {
              content+= "<button onclick='add_order_item("+i+");' class='btn btn-info btn-xs'><i class='fa fa-plus'></i></button><a onclick='add_order_item("+i+");'>"+products[i].sku+"-"+products[i].title+"</a><br>";
            }
          }
        } 
        $('#item_list').html(content);
      }

      /*function add_item(index){
        if (product_list.includes(index)) {
            $('#add_item').val(''); 
            $('#item_list').html('');
        }else{  
            var td1 = '<td><input type="hidden" name="product_'+num+'" id="product_'+num+'" value="'+products[index].id+'"><input type="hidden" id="index_'+num+'" value="'+index+'">'+products[index].short_title+'</td>';
            var td2 = '<td><input type="number" class="form-control input-sm" name="qty_'+num+'" id="qty_'+num+'" placeholder="QTY" value="1"></td>';  
            var td3 = '<td>'+parseFloat(products[index].price).toFixed(2)+'</td>';
            if (price_editable) {
              var td4 = '<td><input type="number" name="amount_'+num+'" id="amount_'+num+'" value="'+parseFloat(products[index].price).toFixed(2)+'"></td>';
            }else{
              var td4 = '<td id="amount_'+num+'">'+parseFloat(products[index].price).toFixed(2)+'</td>';
            }
            var td5 = '<td><a class="btn btn-xs" onclick="removeoption('+num+','+index+');"><i class="fa fa-close"></i></a></td>';
            var row = '<tr id="row_'+num+'">'+td1+td2+td3+td4+td5+'</tr>';
            $('#order_item tr:last').after(row);

            $('#add_item').val(''); 
            $('#item_list').html('');
            num++;   
            $('#RowCount').val(num);    
            product_list.push(index);

            calculate_amount();
        }
      }*/
      function add_order_item(index){
        if (products[index].product_type=='product_group' && price_editable) {
          var child_products = products[index].child_products.split(',');
          var old_price = 0;
          for (var i=0; i < child_products.length; i++) {
              child_product_index = search_products(child_products[i]);
              old_price += parseFloat(products[child_product_index].price); 
              add_order_item(child_product_index);
          }
        
          price_difference = products[index].price - old_price + get_delivery_charge();
          $('#delivery_charge').val(price_difference);
          enable_edit_delivery();
          return 0;
        }  
          
        if (product_list.includes(index)) {
            $('#add_item').val(''); 
            $('#item_list').html('');
        }else{  
            var td1 = '<td><input type="hidden" name="product_'+num+'" id="product_'+num+'" value="'+products[index].id+'"><input type="hidden" id="index_'+num+'" value="'+index+'">'+products[index].short_title+'</td>';
            var td3 = '<td>'+parseFloat(products[index].price).toFixed(2)+'</td>';
            if (price_editable) {
              var td2 = '<td><input type="number" class="form-control input-sm" name="qty_'+num+'" id="qty_'+num+'" placeholder="QTY" value="1" onkeyup="change_quantity_price_editable('+num+');" onchange="change_quantity_price_editable('+num+');"></td>';  
              var td4 = '<td><input type="number" name="amount_'+num+'" id="amount_'+num+'" value="'+parseFloat(products[index].price).toFixed(2)+'"></td>';  
            }else{
              var td2 = '<td><input type="number" class="form-control input-sm" name="qty_'+num+'" id="qty_'+num+'" placeholder="QTY" value="1"></td>';  
              var td4 = '<td id="amount_'+num+'">'+parseFloat(products[index].price).toFixed(2)+'</td>';
            }
            var td5 = '<td><a class="btn btn-xs" onclick="removeoption('+num+','+index+');"><i class="fa fa-close"></i></a></td>';
            var row = '<tr id="row_'+num+'">'+td1+td2+td3+td4+td5+'</tr>';
            $('#order_item tr:last').after(row);

            $('#add_item').val(''); 
            $('#item_list').html('');

            num++;   
            $('#RowCount').val(num);    
            product_list.push(index);

            calculate_amount();

            $('#add_item').focus();
        }
      }

      function calculate_amount(){

        var amount = 0, weight = 0;
        total_amount = 0;
        grand_total = 0;
        total_weight = 0;
        for (i = 1; i <= num; i++) {
          if ($('#product_'+i).length ) {
            if (price_editable) {
              amount = parseFloat($('#amount_'+i).val());
            }else{
              amount = parseInt($('#qty_'+i).val()) * parseFloat(products[$('#index_'+i).val()].price);
              $('#amount_'+i).html(amount.toFixed(2));
            }
            total_amount+=amount;
            weight =  parseInt($('#qty_'+i).val()) * parseFloat(products[$('#index_'+i).val()].weight);
            total_weight+=weight;
          }
        }
        $('#total_amount').html(total_amount.toFixed(2));
        if (!$('#edit_delivery').prop('checked')) {
          calculate_delivery();
        }else{
          delivery_charge =  parseFloat($('#delivery_charge').val());
        } 
        grand_total = total_amount + delivery_charge;
        $('#grand_total').html(grand_total.toFixed(2));
      }

      function calculate_delivery(){
        var kg = Math.ceil(total_weight/1000);
        if (kg <= 1) {
          delivery_charge = parseFloat(cities[selected_city_index].franchise_shipping_cost);
        }else{
          var additional_charge = cities[selected_city_index].franchise_charge_for_additional_kg*(kg-1);
          delivery_charge = parseFloat(cities[selected_city_index].franchise_shipping_cost)+additional_charge;
        }
        
        if (price_editable) {
          $('#delivery_charge').val(delivery_charge.toFixed(2));
        }else{
          $('#delivery_charge').html(delivery_charge.toFixed(2));
        }
      }

      function removeoption(row,product){
        $('#row_'+row).remove();
        var index = product_list.indexOf(product);
        product_list.splice(index,1);

        calculate_amount();  
      }

      /*function search_city(){
        selected_city_index = 0;
        $('#city_id').val(0);
        var input, filter, cityTxt;
        var content = "";
        input = document.getElementById("city");
        filter = input.value.toUpperCase();
        if(input.value.length > 3){
          for (i = 0; i < cities.length; i++) {
            cityTxt = cities[i].city;
            if (cityTxt.toUpperCase().indexOf(filter) > -1) {
              content+= "<a onclick='select_city("+i+");'>"+cities[i].city+" - "+cities[i].district+" district</a><br>";
            } 
          }
        }  
        $('#city_result').html(content);
      }*/

      function search_city(){
        selected_city_index = 1;
        $('#city_id').val(1);
        var input, filter, cityTxt;
        var content = "";
        input = document.getElementById("city");
        filter = input.value.toUpperCase();
        if(input.value.length >= 3){
          for (i = 0; i < cities.length; i++) {
            cityTxt = cities[i].city;
            if (cityTxt.toUpperCase().indexOf(filter) > -1) {
              content+= "<button class='btn btn-info btn-xs' onclick='select_city("+i+");'><i class='fa fa-plus'></i></button><a onclick='select_city("+i+");'>"+cities[i].city+" - "+cities[i].district+" district</a><br>";
            } 
          }
        }  
        $('#city_result').html(content);
      }

      function select_city(index){
        selected_city_index = index;
        $('#city_id').val(cities[index].id);
        $('#city').val(cities[index].city);
        $('#zip_code').val(cities[index].zip_code);
        $('#city_result').html('');
      }

      /*function validate(){
        //checking whether there is atleast one product
        var product_not_selected = true;
        for (i = 1; i <= num; i++) {
          if ($('#product_'+i).length) {
            if (parseInt($('#qty_'+i).val())>0) {
              product_not_selected = false;
            }
          }
        }
        if (product_not_selected) {
          alert("Atleast on product have to be selected");
          return false;
        } 
        //checking whether city is properly selected
        if ($('#city').val()!=cities[selected_city_index].city) {
          alert("Select a city from the list without typing whole name");
          return false;
        }
        //checking whether phone number is valid
        if ($('#phone_one').val().length!=10 || isNan($('#phone_one').val())) {
          alert("Enter a valid phone number");
          return false;
        }
        if ($('#phone_two').val().length!=0) {
          if ($('#phone_two').val().length!=10 || isNan($('#phone_two').val())) {
            alert("Enter a valid phone number");
            return false;
          }
        }
        return true;  
      }*/

      function validate(){

        validated = true;
        $("#phone_one_div").attr("class", "form-group");
        $("#phone_two_div").attr("class", "form-group");
        $("#city_div").attr("class", "form-group");

        //checking whether city is properly selected
        if ($('#city').val()!="") {
          if ($('#city').val()!=cities[selected_city_index].city) {
            //alert("Select a city from the list without typing whole name");
            $("#city_div").attr("class", "form-group has-error");
            validated = false;
          };
        } 

        if ($('#phone_one').val().length==9) {
          var str = "0"+$('#phone_one').val();
          $('#phone_one').val(str);
        }

        if ($('#phone_two').val().length==9) {
          var str = "0"+$('#phone_two').val();
          $('#phone_two').val(str);
        }

        //checking whether phone number is valid
        if ($('#phone_one').val().length!=10 || isNaN($('#phone_one').val())) {
          //alert("Enter a valid phone number");
          $("#phone_one_div").attr("class", "form-group has-error");
          validated = false;
        };

        if ($('#phone_two').val().length>0) {
          if ($('#phone_two').val().length!=10 || isNaN($('#phone_two').val())) {
            //alert("Enter a valid phone number");
            $("#phone_two_div").attr("class", "form-group has-error");
            validated = false;
          }
        };

        //checking whether there is atleast one product
        var product_not_selected = true;
        for (i = 1; i <= num; i++) {
          if ($('#product_'+i).length) {
            if (parseInt($('#qty_'+i).val())>0) {
              product_not_selected = false;
            }
          }
        }
        if (product_not_selected) {
          alert("Atleast on product have to be selected");
          validated = false;
        }; 

        return validated;  
      }

      function edit_delivery_charge(){
        if ($('#edit_delivery').prop('checked')) {
          $("#delivery_charge").prop("readonly",false);
        }else{
          $("#delivery_charge").prop("readonly",true);
        }
      }

      function change_quantity_price_editable(index){
        amount = parseInt($('#qty_'+index).val()) * parseFloat(products[$('#index_'+index).val()].price);
        $('#amount_'+index).val(amount);
        calculate_amount();
      }

      //document.addEventListener("add_new", keyDownTextField, false);
      function keyDownAddNew(e) {
        /*var keyCode = e.keyCode;
        if(keyCode==13) {
          e.preventDefault();
          window.location.href = base_url+'/orders/add_new';
        }*/
        window.location.href = base_url+'/orders/add_new';
      }
      
      function search_products(product_id){
          for (var i=0; i < products.length; i++) {
              if (products[i].id === product_id) {
                  return i;
              }
          }
      }

      function get_delivery_charge(){
        var kg = Math.ceil(total_weight/1000);
        if (kg <= 1) {
          return parseFloat(cities[selected_city_index].franchise_shipping_cost);
        }else{
          var additional_charge = cities[selected_city_index].franchise_charge_for_additional_kg*(kg-1);
          return parseFloat(cities[selected_city_index].franchise_shipping_cost)+additional_charge;
        }
      }


    </script>  
  
  

    