<section class="content-header">
    <h1>
      View Order Complaints 
      <small>Orders</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">View Order Complaints</a></li>
      <li><a href="#"><?php echo $order['search_code']?></a></li>
    </ol>   
    
  </section>


  <section class="content">
      <div class="row">
      <div class="col-xs-12">
        <div class="box">

          <div class="box-header">
            <h3 class="box-title">Order Details</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12">
              <table class="table table-striped">
                <tbody id="table_body">
                  <tr>
                    <td>Search Code</td>
                    <td><?php echo $order['search_code'] ?></td>
                  </tr>
                  <tr>
                    <td>Created on</td>
                    <td><?php echo $order['created_date'] ?></td>
                  </tr>
                  <tr>
                    <td>Recipient</td>
                    <td><?php echo $order['resipient'] ?></td>
                  </tr>
                  <tr>
                    <td>Items</td>
                    <td><?php echo $order['item_description'] ?></td>
                  </tr>
                  <tr>
                    <td>Address</td>
                    <td><?php echo $order['address'] ?></td>
                  </tr>
                  <tr>
                    <td>City</td>
                    <td><?php echo $order['city'] ?></td>
                  </tr>
                  <tr>
                    <td>Phone #1</td>
                    <td><?php echo $order['phone_one'] ?></td>
                  </tr>
                  <tr>
                    <td>Phone #2</td>
                    <td><?php echo $order['phone_two'] ?></td>
                  </tr>
                  <tr>
                    <td>Courier</td>
                    <td><?php echo $order['courier'] ?></td>
                  </tr>
                  <tr>
                    <td>Waybill No</td>
                    <td><?php echo $order['courier_reference'] ?></td>
                  </tr>
                </tbody>
              </table>  
          </div>
          </div>
        </div>
      </div>
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Compliants</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Date</td>
                    <td>Issue</td>
                    <td>Status</td>
                    <td>Created By</td>
                    <td>Checked On</td>
                    <td>Solution</td>
                    <td>Checked By</td>
                  </tr>
                </thead>
                <tbody>
                  <?php foreach($order['complaints'] as $key=>$item): ?>
                    <tr>
                      <td><?php echo $item['created_date'] ?></td>
                      <td><?php echo $item['remark'] ?></td>
                      <td><span class="label label-<?php if($item['complaint_status']=='sorted'){echo "success";}else{echo "warning";}?>"><?php echo $item['complaint_status'] ?></span></td>
                      <td><?php echo $item['created_by'] ?></td>
                      <td><?php echo $item['checked_date'] ?></td>
                      <?php if($permission_to_check && $item['complaint_status']=='processing'): ?>
                        <td>
                          <?php echo form_open('order/orders/check_order_complaint/'.$item['id']) ?>
                            <div class="form-group input-group margin">
                              <input type="text" class="form-control" name="solution" placeholder="Type Solution" value="<?php echo $item['solution'] ?>">
                                  <span class="input-group-btn">
                                    <button id="btn_complaint" type="submit" class="btn btn-info btn-flat"><i class="fa fa-check"></i></button>
                                  </span>
                            </div>
                          <?php echo form_close(); ?>  
                        </td>
                      <?php else: ?>  
                        <td><?php echo $item['solution'] ?></td>
                      <?php endif; ?>  
                      <td><?php echo $item['checked_by'] ?></td>
                    </tr>
                  <?php endforeach; ?>  
                </tbody>
              </table>  
            </div>
          </div>
        </div>
      </div>
   

    </div>


  </section>