<!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Edit
        <small>Product</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Products</a></li>
        <li class="active">Edit</li>
      </ol>
      <?php if(validation_errors()) : ?>
        <div class="alert alert-danger alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          <h4><i class="icon fa fa-ban"></i> Alert!</h4>
          <?php echo validation_errors(); ?>
        </div>
      <?php endif; ?>   
      
    </section>

    <!-- Main content -->
    <section class="content">
      <?php  
        //$attributes = array('onsubmit' => 'return validate()');
        //echo form_open_multipart($formMethod, $attributes); 
        echo form_open_multipart($formMethod); 
      ?>
      <div class="row">
          <div class="col-md-5">
            <!-- /.customer-info-box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Basic Info</h3>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="title">Product Title</label>
                  <input type="text" class="form-control" name="title" id="title" placeholder="Enter Product Title" required autofocus value="<?php echo $product->title ?>" required>
                </div>
                <div class="form-group">
                  <label for="shrot_title">Short Title</label>
                  <input type="text" class="form-control" name="short_title" id="shrot_title" placeholder="Enter Title for Printing on Label" required value="<?php echo $product->short_title ?>" required>
                </div>
                <div class="form-group">
                  <label for="sku">SKU</label>
                  <input type="text" class="form-control" name="sku" id="sku" placeholder="Enter SKU" value="<?php echo $product->sku ?>" required>
                </div>
                <div class="form-group">
                  <label for="brand">Brand</label>
                  <input type="text" class="form-control" name="brand" id="brand" placeholder="Enter Brand" value="<?php echo $product->brand ?>" required>
                </div>
                <div class="form-group">
                  <label for="brand">Slug</label>
                  <input type="text" class="form-control" name="slug" id="slug" placeholder="Enter Product Slug" value="<?php echo $product->slug ?>" required>
                </div> 
                <!--div class="form-group">
                  <label for="status">Product Status</label>
                  <select class= "form-control" name="status" id="status">   
                      <option value="published" <?php if($product->status=='published'){echo "selected";}?>>Published</option>
                      <option value="unpublished" <?php if($product->status=='unpublished'){echo "selected";}?>>Unpublished</option>
                      <option value="draft" <?php if($product->status=='draft'){echo "selected";}?>>Draft</option>
                  </select>
                </div-->
                <div class="form-group">
                  <label for="status">Product Type</label>
                  <select class= "form-control" name="product_type" id="product_type">   
                      <option value="product" <?php if($product->product_type=='product'){echo "selected";}?>>Product</option>
                      <option value="product_group" <?php if($product->product_type=='product_group'){echo "selected";}?>>Product Group</option>
                      <option value="variable_product" <?php if($product->product_type=='variable_product'){echo "selected";}?>>Variable Product</option>
                  </select>
                </div>
                <!--div class="checkbox">
                  <label for="visibility">
                    <input type="checkbox" name="visibility" id="visibility" <?php if($product->visibility) echo "checked" ?>>
                     Show Product in the System
                  </label>  
                </div-->

              </div>
              <!-- /.box-body -->
            </div>
            <!-- /.customer-info-box -->

            <!-- /.product stock box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Stock Info</h3>

                <div class="box-tools pull-right">
                  <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                </div>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="price">Price(Rs.)</label>
                  <input type="number" class="form-control" name="price" id="price" placeholder="Enter Selling Price" value="<?php echo $product->price ?>" required>
                </div>
                <div class="form-group">
                  <label for="price">Cost(Rs.)</label>
                  <input type="number" class="form-control" name="cost" id="cost" placeholder="Enter Buying Price" value="<?php echo $product->cost ?>" required>
                </div>
                <div class="form-group">
                  <label for="wholesale_price">Wholesale Price(Rs.)</label>
                  <input type="number" class="form-control" name="wholesale_price" id="wholesale_price" placeholder="Enter Wholesale Price" value="<?php echo $product->wholesale_price ?>">
                </div>
                <div class="form-group">
                  <label for="weight">Weight(g)</label>
                  <input type="number" class="form-control" name="weight" id="weight" placeholder="Enter Weight in grams" value="<?php echo $product->weight ?>" required>
                </div>
                <div class="form-group">
                  <label for="weight">Volume/Size</label>
                  <input type="text" class="form-control" name="product_volume" id="product_volume" placeholder="Enter Product Size/Volune" value="<?php echo $product->product_volume ?>">
                </div>
                <div class="form-group">
                  <label for="stock">Remaining Stock</label>
                  <input type="number" class="form-control" name="stock" id="stock" placeholder="Enter Remaining Stock" value="<?php echo $product->stock ?>" required>
                </div>
                <!--div class="form-group">
                  <label for="stock">Re Order Level</label>
                  <input type="number" class="form-control" name="reorder_level" id="reorder_level" placeholder="Enter Re Order Level" value="<?php echo $product->reorder_level ?>" required>
                </div>
                <div class="checkbox">
                  <label for="allow_backorder">
                    <input type="checkbox" name="allow_backorder" id="allow_backorder" <?php if($product->allow_backorder) echo "checked" ?>>
                     Allow Back Order
                  </label>  
                </div-->

              </div>
            </div>
            <!-- /.product stock box -->
            
                        <!-- /.product franchises box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Assigned Shops</h3>
                  
                <div class="box-tools pull-right">
                  <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                </div>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="add_item">Add Item</label>
                  <input type="text" class="form-control" id="add_item" name="add_item" placeholder="Search Shop" onkeyup="search_item();">
                  <div id="item_list">
                  </div>
                </div>
                <div class="col-xs-12 table-responsive">
                  <table class="table table-striped" id="assigned_franchises">
                    <thead>
                      <tr>
                        <th>Franchise</th>
                        <th>Retail Price</th>
                        <!--th>Wholesale Price</th-->
                        <th>FB Sponsor($)</th>
                        <th></th>
                      </tr>
                    </thead>
                    <tbody>
                      <?php 
                        $num = 1; 
                        $item_key = array_column($franchises, 'id');
                        $franchise_list = array();
                      ?> 
                      <?php foreach($assigned_franchises as $item): ?>
                        <?php 
                          $index = array_search($item['franchise'], $item_key); 
                          array_push($franchise_list, $index);
                        ?>
                      <tr id="row_<?php echo $num ?>">
                        <td>
                          <input type="hidden" name="assigned_franchise[<?php echo $num ?>]" id="franchise_<?php echo $num ?>" value="<?php echo $item['franchise'] ?>">
                          <input type="hidden" id="index_<?php echo $num ?>" value="<?php echo $index ?>">
                          <?php echo $item['name']; ?>
                        </td>
                        <td><input type="number" class="form-control input-sm" name="franchise_price[<?php echo $num ?>]" id="franchise_price_<?php echo $num ?>" placeholder="Price" value="<?php echo $item['price'] ?>"></td> 
                        <!--td><input type="number" class="form-control input-sm" name="franchise_commision[<?php echo $num ?>]" id="franchise_commision_<?php echo $num ?>" placeholder="Commision" value="<?php echo $item['commision'] ?>"></td--> 
                        <td><input type="number" class="form-control input-sm" name="daily_sponsor_amount[<?php echo $num ?>]" id="daily_sponsor_amount_<?php echo $num ?>" placeholder="FB Sponsor" value="<?php echo $item['daily_sponsor_amount'] ?>"></td>
                        <td><a class="btn btn-xs" onclick="removeoption(<?php echo $num ?>,<?php echo $index ?>);"><i class="fa fa-close"></i></a></td>
                      </tr>
                      <?php $num++; ?>
                      <?php endforeach; ?>                 
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <!-- /.product franchises box -->  
            
            <!-- /.product discount box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Discounts</h3>

                <div class="box-tools pull-right">
                  <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                </div>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="discount_label">Discount Label</label>
                  <input type="text" class="form-control" name="discount_label" id="discount_label" placeholder="Enter Discount Label" value="<?php echo $product->discount_label; ?>">
                </div>
                <div class="form-group">
                  <label for="old_price">Old Price(Rs.)</label>
                  <input type="number" class="form-control" name="old_price" id="old_price" placeholder="Enter Old Price" value="<?php echo $product->old_price; ?>">
                </div>
                <div class="form-group">
                  <label for="discount_code">Discount Code</label>
                  <input type="number" class="form-control" name="" id="discount_code" placeholder="Enter Discount Code" value="<?php echo $product->discount_code; ?>" >
                </div>

              </div>
            </div>
            <!-- /.product discount box -->

             <!-- /.product categories box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Product Categories</h3>
                  
                <div class="box-tools pull-right">
                  <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                </div>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <select name="product_categories[]" id="product_categories" class="select2 form-control" style="width: 100%" multiple>
                   <?php foreach($product_categories as $category): ?>
                    <option value="<?php echo $category['id'] ?>" <?php if(in_array($category['id'], $assigned_categories)) echo "selected"; ?>><?php echo $category['product_category'] ?></option>
                  <?php endforeach; ?> 
                </select>
              </div>
            </div>
            <!-- /.product categories box -->
            
            <!-- /.child products box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Child Products</h3>
                  
                <div class="box-tools pull-right">
                  <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                </div>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->
              <?php 
                $child_products = explode(',', $product-> child_products);
              ?>   
              <div class="box-body">
                <select name="child_products[]" id="child_products" class="select2 form-control" style="width: 100%" multiple>
                   <?php foreach($products as $item): ?>
                    <option value="<?php echo $item['id'] ?>" <?php if(in_array($item['id'], $child_products)) echo "selected"; ?>><?php echo $item['title'] ?></option>
                  <?php endforeach; ?> 
                </select>
              </div>
            </div>
            <!-- /.child products box -->

          </div>
          <div class="col-md-7">
            <!-- /.item-info-box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Product Descriptions</h3>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="short_description">Short Description</label>
                  <textarea id="short_description" name="short_description" rows="3" cols="80"><?php echo $product->short_description ?></textarea>
                </div>
                <div class="form-group">
                  <label for="long_description">Long Description</label>
                  <textarea id="long_description" name="long_description" rows="3" cols="80"><?php echo $product->long_description ?></textarea>
                </div>
                <div class="form-group">
                  <label for="sinhala_long_description">Sinhala Description</label>
                  <textarea id="sinhala_long_description" name="sinhala_long_description" rows="3" cols="80"><?php echo $product->sinhala_long_description ?></textarea>
                </div>
                <div class="form-group">
                  <label for="moderator_description">Moderator Description</label>
                  <textarea id="moderator_description" name="moderator_description" rows="3" cols="80"><?php echo $product->moderator_description ?></textarea>
                </div>
              </div>
              <!-- /.box-body -->

              <div class="box-footer">
                
              </div>
            </div>
            <!-- /.item-info-box -->

            <!-- /.product images box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Product Images</h3>
                  
                <div class="box-tools pull-right">
                  <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                </div>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="col-md-6">
                  <h4>Add New Cover Image</h4>
                  <input type="file" name="cover_image" size="20"><br>
                  <h4>Add Images to Gallery</h4>
                  <input type="file" name="image_gallery[]" size="20" multiple>
                </div>
                <div class="col-md-6">
                  <ul class="products-list product-list-in-box">
                    <?php foreach($product_images as $image): ?>
                    <li class="item">
                      <div class="product-img">
                        <img src="/sellercenter/assets/images/<?php echo $image['image_name'] ?>" alt="Product Image" style="height: 50px; width: 50px;">
                      </div>
                      <div class="product-info">
                        <a href="<?php echo base_url().'product/products/remove_product_image/'.$product->id.'/'.$image['id'] ?>" class="product-title"><span class="label label-danger">Remove</span></a>
                        <?php if($image['id']==$product->cover_image): ?>
                          <a href="" class="product-title"><span class="label label-warning">Cover</span></a>
                        <?php else: ?>
                          <a href="<?php echo base_url().'product/products/change_product_cover_image/'.$product->id.'/'.$image['id'] ?>" class="product-title"><span class="label label-success">Make Cover</span></a>
                        <?php endif; ?>  
                      </div>
                    </li>
                    <?php endforeach; ?>
                  </ul> 
                </div>
              </div>

              <div class="box-footer">
                <button type="submit"  id="btn_form_sumbmit" class="btn btn-primary pull-right">Submit</button>
              </div>
            </div>
            <!-- /.product images box -->  
          </div>
      </div>
      <?php  echo form_close(); ?>      
    </section>  

    <script>
      window.onload = function(){
        $('.select2').select2();
        CKEDITOR.replace('short_description');
        CKEDITOR.replace('long_description');
        CKEDITOR.replace('moderator_description');
        CKEDITOR.replace('sinhala_long_description');
      }
      
            var franchises = <?php echo json_encode($franchises)?>;
      var franchise_list = <?php echo json_encode($franchise_list)?>;
      var num = <?php echo json_encode($num) ?>;

      function search_item() {
        var input, filter, productTxt;
        var content = "";
        input = document.getElementById("add_item");
        filter = input.value.toUpperCase();
        if(input.value.length > 2){
          for (i = 0; i < franchises.length; i++) {
            franchiseTxt = franchises[i].name;
            if (franchiseTxt.toUpperCase().indexOf(filter) > -1) {
              content+= "<button onclick='add_franchise("+i+");' class='btn btn-info btn-xs'><i class='fa fa-plus'></i></button><a onclick='add_franchise("+i+");'>"+franchiseTxt+"</a><br>";
            }
          }
        } 
        $('#item_list').html(content);
      }

      function add_franchise(index){
        if (franchise_list.includes(index)) {
            $('#add_item').val(''); 
            $('#item_list').html('');
        }else{  
            var td1 = '<td><input type="hidden" name="assigned_franchise['+num+']" id="assigned_franchise_'+num+'" value="'+franchises[index].id+'"><input type="hidden" id="index_'+num+'" value="'+index+'">'+franchises[index].name+'</td>';
            var td2 = '<td><input type="number" class="form-control input-sm" name="franchise_price['+num+']" id="franchise_price_'+num+'" placeholder="Price" value="0"></td>'; 
            //var td3 = '<td><input type="number" class="form-control input-sm" name="franchise_commision['+num+']" id="franchise_commision_'+num+'" placeholder="Price" value="0"></td>';   
            var td4 = '<td><input type="number" class="form-control input-sm" name="daily_sponsor_amount['+num+']" id="daily_sponsor_amount_'+num+'" placeholder="FB Sponsor" value="0"></td>';
            var td5 = '<td><a class="btn btn-xs" onclick="removeoption('+num+','+index+');"><i class="fa fa-close"></i></a></td>';
            var row = '<tr id="row_'+num+'">'+td1+td2+td4+td5+'</tr>';
            $('#assigned_franchises tr:last').after(row);

            $('#add_item').val(''); 
            $('#item_list').html('');

            num++;   
            $('#RowCount').val(num);    
            franchise_list.push(index);

            $('#add_item').focus();
        }
      }
      
      function removeoption(row,franchise){
        $('#row_'+row).remove();
        var index = franchise_list.indexOf(franchise);
        franchise_list.splice(index,1);
      }

    </script>

    