<section class="content-header">
    <h1>
      View 
      <small>Gatepass</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Gatepass</a></li>
      <li><a href="#">View</a></li>
      <li><a href="#"><?php echo $gatepass['search_code'] ?></a></li>
    </ol>   
    
  </section>


  <section class="content">
      <div class="row">
      <div class="col-xs-12">
        <div class="box">

          <div class="box-header">
            <h3 class="box-title">Gatepass</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12">
              <table class="table table-striped">
                <tbody id="table_body">
                  <tr>
                    <td>Batch Code</td>
                    <td><?php echo $gatepass['search_code'] ?></td>
                  </tr>
                  <tr>
                    <td>Created on</td>
                    <td><?php echo $gatepass['created_date'] ?></td>
                  </tr>
                  <tr>
                    <td>Created By</td>
                    <td><?php echo $gatepass['created_by'] ?></td>
                  </tr>
                  <tr>
                    <td>Approved By</td>
                    <td><?php echo $gatepass['approved_by'] ?></td>
                  </tr>
                  <tr>
                    <td>Status</td>
                    <td><?php echo ucwords(str_replace("_", " ", $gatepass['status'])); ?></td>
                  </tr>

                  <tr>
                      <td>Actions</td>
                      <td>
                          <a class="btn btn-success btn-sm" href="<?php echo base_url().'product/gatepass/approve/'.$gatepass['search_code'].'/TRUE'?>">Approve</a>
                          <a class="btn btn-danger btn-sm" href="<?php echo base_url().'product/gatepass/approve/'.$gatepass['search_code'] ?>">Disapprove</a>
                          <a class="btn btn-info btn-sm" href="<?php echo base_url().'product/gatepass/dispatch/'.$gatepass['search_code'] ?>">Dispatch</a>
                      </td>
                  </tr>
                </tbody>
              </table>  
          </div>
          </div>
        </div>
      </div>
      <div class="col-xs-12">
        <div class="box">
          
          <div class="box-body">
            <table class="table table-striped">
              <thead>
                <th>Short Title</th>
                <th>Product Title</th>
                <th>Quantity</th>
              </thead>
              <tbody">
                <?php foreach($gatepass_items as $item): ?>
                  <tr>
                    <td><?php echo $item['short_title']; ?></td>
                    <td><?php echo $item['title']; ?></td>
                    <td><?php echo $item['quantity']; ?></td>
                  </tr>
                <?php endforeach; ?>  
              </tbody>
            </table>      
          </div>
        </div>
      </div>
   

    </div>


  </section>

  <script>

    var order_list = <?php echo json_encode($batch_items); ?>;
    var product_list = <?php echo json_encode($batch_products); ?>;

    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };

      $('#datatable').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 6, "asc" ]],
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "search_code"},
              {"data": "courier_reference"},
              {"data": "order_status"},
              {"data": "resipient"},
              {"data": "address"},
              {"data": "city"},
              {"data": "item_description"},
              {"data": "grand_total"},
              {"data": "phone_one"},
              {"data": "phone_two"},
              {"data": "franchise"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } )
        ]
        });
        
        $('#datatable_2').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 1, "desc" ]],
          //'column'      : String,
          'data'        : product_list,
          'columns'     : [
              {"data": "product"},
              {"data": "quantity"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } )
        ]
        });
      }

  </script>