<!DOCTYPE html>
<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Herbigroup | <?php echo $title ?></title> <!--change store name-->
  <link rel="icon" type="image/png" href="/sellercenter/assets/images/favicon.png"/>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  
  <?php foreach($css as $css_file): ?>
    <link rel="stylesheet" href="<?php echo $css_file?>">
  <?php endforeach; ?>
  

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body class="skin-green sidebar-mini">
<div class="wrapper">

  <header class="main-header">

    <!-- Logo -->
    <a href="index2.html" class="logo">
      <!-- mini logo for sidebar mini 50x50 pixels -->
      <span class="logo-mini">H<b>G</b></span> <!--change store name-->
      <!-- logo for regular state and mobile devices -->
      <span class="logo-lg">Herbi<b>Group</b></span> <!--change store name-->
    </a>

    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
        <span class="sr-only">Toggle navigation</span>
      </a>
      <!-- Navbar Right Menu -->
      <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">
          <!-- User Account: style can be found in dropdown.less -->
          <li class="dropdown user user-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <span class="hidden-xs"><?php echo($this-> session-> userdata('name')); ?></span>
            </a>
            <ul class="dropdown-menu">
              <!-- User image -->
              <li class="user-header">
                <!--img src="dist/img/user2-160x160.jpg" class="img-circle" alt="User Image"-->

                <p>
                  <?php echo($this-> session-> userdata('name')); ?>
                  <!--small>Member since Nov. 2012</small-->
                </p>
              </li>
              <!-- Menu Body -->
              <!--li class="user-body">
                <div class="row">
                  <div class="col-xs-4 text-center">
                    <a href="#">Followers</a>
                  </div>
                  <div class="col-xs-4 text-center">
                    <a href="#">Sales</a>
                  </div>
                  <div class="col-xs-4 text-center">
                    <a href="#">Friends</a>
                  </div>
                </div>
                
              </li-->
              <!-- Menu Footer-->
              <li class="user-footer">
                <div class="pull-left">
                  <a href="#" class="btn btn-default btn-flat">Profile</a>
                </div>
                <div class="pull-right">
                  <a href="<?php echo base_url('user/users/logout')?>" class="btn btn-default btn-flat">Sign out</a>
                </div>
              </li>
            </ul>
          </li>
          
        </ul>
      </div>

    </nav>
  </header>
  <!-- Left side column. contains the logo and sidebar -->
  <aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
     
      <div class="user-panel">
        <div class="pull-left img">
          <img src="/sellercenter/assets/images/dark_logo.png" style="width: 80%; height: auto;">
        </div>
      </div>
      
      <!-- sidebar menu: : style can be found in sidebar.less -->
      <ul class="sidebar-menu" data-widget="tree">
        <li class="header">MAIN NAVIGATION</li>
        <li><a href="<?php echo base_url(); ?>dashboard"><i class="fa fa-dashboard"></i> <span>Dashboard</span></a></li>
        
        <?php if($this-> session-> userdata('user_role')=='admin'): ?>
            <li class="treeview">
              <a href="#">
                <i class="fa fa-pie-chart"></i>
                <span>Orders</span>
                <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu">
                <li><a href="<?php echo base_url(); ?>orders"><i class="fa fa-circle-o"></i> Orders</a></li>
                <li><a href="<?php echo base_url(); ?>orders/add_new"><i class="fa fa-circle-o"></i> Add New</a></li>
                <li><a href="<?php echo base_url(); ?>order/orders/add_bulk_orders"><i class="fa fa-circle-o"></i> Add Bulk Orders</a></li>
                <li><a href="<?php echo base_url(); ?>orders/call_list"><i class="fa fa-circle-o"></i> <span>Call List</span></a></li>
                <li><a href="<?php echo base_url(); ?>order/orders/complaint_list"><i class="fa fa-circle-o"></i> <span>Complaints</span></a></li>
              </ul>
            </li>
            <li class="treeview">
              <a href="#">
                <i class="fa fa-shopping-cart"></i>
                <span>Stores</span>
                <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu">
                    <li class="treeview">
                      <a href="#"><i class="fa fa-circle-o"></i> Packing Batch
                        <span class="pull-right-container">
                          <i class="fa fa-angle-left pull-right"></i>
                        </span>
                      </a>
                      <ul class="treeview-menu">
                        <li><a href="<?php echo base_url(); ?>admin/order_batch/packing_batch_list"><i class="fa fa-circle-o"></i>Packing Batches</a></li>
                        <li class="treeview">
                          <a href="#"><i class="fa fa-circle-o"></i> Create Packing Batch 
                            <span class="pull-right-container">
                              <i class="fa fa-angle-left pull-right"></i>
                            </span>
                          </a>
                          <ul class="treeview-menu">
                            <?php foreach($couriers as $courier): ?>
                              <li><a href="<?php echo base_url(); ?>admin/order_batch/create_internal_packing_batch/<?php echo $courier['id']; ?>"><i class="fa fa-circle-o"></i><?php echo $courier['name']; ?></a></li>
                            <?php endforeach; ?>
                          </ul>  
                       </li>
                      </ul>  
                    </li> 
                      <li><a href="<?php echo base_url(); ?>admin/order_batch/dispatch_orders"><i class="fa fa-circle-o"></i>Dispatch Orders</a></li>
                      <li><a href="<?php echo base_url(); ?>admin/order_batch/dispatch_order_batch"><i class="fa fa-circle-o"></i>Dispatch Order Batch</a></li>
                    <li class="treeview">
                      <a href="#"><i class="fa fa-circle-o"></i> Return Batch
                        <span class="pull-right-container">
                          <i class="fa fa-angle-left pull-right"></i>
                        </span>
                      </a>
                      <ul class="treeview-menu">
                        <li><a href="<?php echo base_url(); ?>admin/order_batch/return_batch_list"><i class="fa fa-circle-o"></i>Return Batches</a></li>
                        <li class="treeview">
                          <a href="#"><i class="fa fa-circle-o"></i> Create Return Batch 
                            <span class="pull-right-container">
                              <i class="fa fa-angle-left pull-right"></i>
                            </span>
                          </a>
                          <ul class="treeview-menu">
                            <?php foreach($couriers as $courier): ?>
                              <li><a href="<?php echo base_url(); ?>admin/order_batch/create_return_batch/<?php echo $courier['id']; ?>"><i class="fa fa-circle-o"></i><?php echo $courier['name']; ?></a></li>
                            <?php endforeach; ?>
                          </ul>  
                       </li> 
                      </ul>  
                    </li>  
                    <li class="treeview">
                      <a href="#"><i class="fa fa-circle-o"></i> GRN
                        <span class="pull-right-container">
                          <i class="fa fa-angle-left pull-right"></i>
                        </span>
                      </a>
                      <ul class="treeview-menu">
                        <li><a href="<?php echo base_url(); ?>grn"><i class="fa fa-circle-o"></i>View</a></li>
                        <li><a href="<?php echo base_url(); ?>grn/add_new"><i class="fa fa-circle-o"></i>Create GRN</a></li>
                      </ul>  
                    </li>
                    <li class="treeview">
                      <a href="#"><i class="fa fa-circle-o"></i> Gatepass
                        <span class="pull-right-container">
                          <i class="fa fa-angle-left pull-right"></i>
                        </span>
                      </a>
                      <ul class="treeview-menu">
                        <li><a href="<?php echo base_url(); ?>gatepass"><i class="fa fa-circle-o"></i>View</a></li>
                        <li><a href="<?php echo base_url(); ?>gatepass/add_new"><i class="fa fa-circle-o"></i>Create Gatepass</a></li>
                      </ul>  
                    </li>
                    <li><a href="<?php echo base_url(); ?>courier/list"><i class="fa fa-circle-o"></i>Couriers</a></li>
              </ul>
                  
            </li>
            <li class="treeview">
              <a href="#">
                <i class="fa fa-money"></i>
                <span>Finance</span>
                <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu">
                <li><a href="<?php echo base_url(); ?>admin/order_batch/settlement_batch_list"><i class="fa fa-circle-o"></i>Settlement Batches</a></li>
                <li class="treeview">
                  <a href="#"><i class="fa fa-circle-o"></i> Create Settlement Batch 
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                  </a>
                  <ul class="treeview-menu">
                    <?php foreach($couriers as $courier): ?>
                      <li><a href="<?php echo base_url(); ?>admin/order_batch/create_settlement_batch/<?php echo $courier['id']; ?>"><i class="fa fa-circle-o"></i><?php echo $courier['name']; ?></a></li>
                    <?php endforeach; ?>
                  </ul>  
                </li>
              </ul>
            </li>
            <li class="treeview">
              <a href="#">
                <i class="fa fa-edit"></i> <span>Product</span>
                <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu">
                 <li><a href="<?php echo base_url('products'); ?>"><i class="fa fa-circle-o"></i>Product List</a></li>
                 <li><a href="<?php echo base_url('products/create'); ?>"><i class="fa fa-circle-o"></i>Add new</a></li>
              </ul>
            </li>
            <li><a href="<?php echo base_url('franchise/franchise'); ?>"><i class="fa fa-users"></i>Shop List</a></li> 
            <li class="treeview">
              <a href="#">
                <i class="fa fa-user"></i> <span>User</span>
                <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu">
                <li><a href="<?php echo base_url('user/users/index'); ?>"><i class="fa fa-circle-o"></i>Users</a></li>
                <li><a href="<?php echo base_url('user/users/add_new'); ?>"><i class="fa fa-circle-o"></i>Add New</a></li>
                <li><a href="<?php echo base_url('user/users/add_user_role');?>"><i class="fa fa-circle-o"></i>Add User Role</a></li>
                <li><a href="<?php echo base_url('user/users/get_user_role_list');?>"><i class="fa fa-circle-o"></i>User Roles</a></li>
              </ul>
            </li>
        <?php endif; ?>
        
        <?php if($this-> session-> userdata('user_role')=='accountant'): ?>
            <li><a href="<?php echo base_url(); ?>reports/reports/dispatched_orders_admin"><i class="fa fa-circle-o"></i>Sales Report</a></li>
            <li><a href="<?php echo base_url(); ?>order/orders/dispatched_orders"><i class="fa fa-circle-o"></i>Sales by Courier</a></li>
            <li><a href="<?php echo base_url(); ?>admin/order_batch/settlement_batch_list"><i class="fa fa-circle-o"></i>Courier Settlements</a></li>
        <?php endif; ?>
        
        <?php if($this-> session-> userdata('user_role')=='shop_moderator'|| $this-> session-> userdata('user_role')=='shop_admin'): ?>
            <li><a href="<?php echo base_url(); ?>orders/add_new"><i class="fa fa-plus"></i> Add Order</a></li>
            <li><a href="<?php echo base_url(); ?>order/orders/add_bulk_orders"><i class="fa fa-plus-square"></i> Add Bulk Orders</a></li>
            <li><a href="<?php echo base_url(); ?>orders/call_list"><i class="fa fa-list"></i> <span> Call List</span></a></li>
            <li><a href="<?php echo base_url(); ?>orders"><i class="fa fa-cubes"></i> Orders</a></li>
            <li><a href="<?php echo base_url(); ?>order/orders/complaint_list"><i class="fa fa-bomb"></i> <span>Complaints</span></a></li>

        <?php endif; ?>
        
        <?php if($this-> session-> userdata('user_role')=='stores_keeper' || $this-> session-> userdata('user_role')=='stores_manager'): ?>
            <li class="treeview">
              <a href="#"><i class="fa fa-circle-o"></i> Packing Batch
                <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu">
                <li><a href="<?php echo base_url(); ?>admin/order_batch/packing_batch_list"><i class="fa fa-circle-o"></i>Packing Batches</a></li>
                <li class="treeview">
                  <a href="#"><i class="fa fa-circle-o"></i> Create Packing Batch 
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                  </a>
                  <ul class="treeview-menu">
                    <?php foreach($couriers as $courier): ?>
                        <li><a href="<?php echo base_url(); ?>admin/order_batch/create_internal_packing_batch/<?php echo $courier['id']; ?>"><i class="fa fa-circle-o"></i><?php echo $courier['name']; ?></a></li>
                      <?php endforeach; ?>
                  </ul>  
               </li>
              </ul>  
            </li>    
            <li><a href="<?php echo base_url(); ?>admin/order_batch/dispatch_orders"><i class="fa fa-circle-o"></i>Dispatch Orders</a></li>
            <li class="treeview">
              <a href="#"><i class="fa fa-circle-o"></i> Return Batch
                <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu">
                <li><a href="<?php echo base_url(); ?>admin/order_batch/return_batch_list"><i class="fa fa-circle-o"></i>Return Batches</a></li>
                <li class="treeview">
                  <a href="#"><i class="fa fa-circle-o"></i> Create Return Batch 
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                  </a>
                  <ul class="treeview-menu">
                    <?php foreach($couriers as $courier): ?>
                      <li><a href="<?php echo base_url(); ?>admin/order_batch/create_return_batch/<?php echo $courier['id']; ?>"><i class="fa fa-circle-o"></i><?php echo $courier['name']; ?></a></li>
                    <?php endforeach; ?>
                  </ul>  
               </li> 
              </ul>  
            </li>  
            <li><a href="<?php echo base_url(); ?>order/orders/dispatched_orders"><i class="fa fa-line-chart"></i>Dispatched Report</a></li>
            
        <?php endif; ?>
        
        <?php if($this-> session-> userdata('user_id')!='1'): ?>
            <li><a href="<?php echo base_url(); ?>products/self_learning"><i class="fa fa-graduation-cap"></i> <span>Self Learning</span></a></li>
        <?php endif; ?>
        
        <?php if($this-> session-> userdata('user_role')=='admin'): ?>
        
            <li class="treeview">
              <a href="#">
                <i class="fa fa-line-chart"></i> <span>Reports</span>
                <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu">
                    <li class="treeview">
                      <a href="#"><i class="fa fa-circle-o"></i> Order Count 
                        <span class="pull-right-container">
                          <i class="fa fa-angle-left pull-right"></i>
                        </span>
                      </a>
                      <ul class="treeview-menu">
                        <!--li><a href="<?php echo base_url(); ?>admin/export_orders/gh_upload_list"><i class="fa fa-circle-o"></i>Grasshoppers</a></li-->
                        <li><a href="<?php echo base_url(); ?>reports/reports/order_count_admin/created_date"><i class="fa fa-circle-o"></i>By Created Date</a></li>
                        <li><a href="<?php echo base_url(); ?>reports/reports/order_count_admin/dispatched_date"><i class="fa fa-circle-o"></i>By Dispatched Date</a></li>
                      </ul>  
                    </li>   
                    <li class="treeview">
                      <a href="#"><i class="fa fa-circle-o"></i> Daily Product wise Sales
                        <span class="pull-right-container">
                          <i class="fa fa-angle-left pull-right"></i>
                        </span>
                      </a>
                      <ul class="treeview-menu">
                        <!--li><a href="<?php echo base_url(); ?>admin/export_orders/gh_upload_list"><i class="fa fa-circle-o"></i>Grasshoppers</a></li-->
                        <li><a href="<?php echo base_url(); ?>reports/reports/sales_by_product_datewise_admin/created_date"><i class="fa fa-circle-o"></i>By Created Date</a></li>
                        <li><a href="<?php echo base_url(); ?>reports/reports/sales_by_product_datewise_admin/dispatched_date"><i class="fa fa-circle-o"></i>By Dispatched Date</a></li>
                      </ul>  
                    </li>   
                    <li><a href="<?php echo base_url(); ?>reports/reports/issued_orders"><i class="fa fa-circle-o"></i>Issues</a></li>
                    <li><a href="<?php echo base_url(); ?>order/orders/dispatched_orders"><i class="fa fa-circle-o"></i>Dispatched Orders Courierwise</a></li>
                    <li><a href="<?php echo base_url(); ?>reports/reports/dispatched_orders_admin"><i class="fa fa-circle-o"></i>Dispatched Orders</a></li>
                    <li><a href="<?php echo base_url(); ?>reports/reports/callcenter_performance"><i class="fa fa-circle-o"></i>Callcenter Peformance</a></li>
                   
                </li>
              </ul>
            </li>
        <?php endif; ?>    
        
        
        <li class="header">SWITCH SHOP</li>
          <?php foreach($franchises as $franchise): ?>
            <?php if($franchise['franchise']==$this-> session-> userdata('franchise')&&!($this->router->fetch_class()=='dashboard' && $this->router->fetch_method()=='admin')): ?>
              <li class="active"><a href="<?php echo base_url().'franchise/switch_franchise/'.$franchise['franchise']; ?>"><i class="fa fa-circle-o text-yellow"></i> <span><?php echo $franchise['name'] ?></span></a></li>
            <?php else : ?>
              <li><a href="<?php echo base_url().'franchise/switch_franchise/'.$franchise['franchise']; ?>"><i class="fa fa-circle-o text-aqua"></i> <span><?php echo $franchise['name'] ?></span></a></li>
            <?php endif; ?>  
          <?php endforeach; ?>
      </ul>
    </section>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <?php if($this-> session-> flashdata('order_created')) : ?>
      <div class="alert alert-success alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i> Order Created!</h4>
        <?php echo $this-> session-> flashdata('order_created') ?>
      </div>
    <?php endif; ?>
    <?php if($this-> session-> flashdata('order_updated')) : ?>
      <div class="alert alert-success alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i> Order Updated!</h4>
        <?php echo $this-> session-> flashdata('order_updated') ?>
      </div>
    <?php endif; ?>
    <?php if($this-> session-> flashdata('courier_ref_updated')) : ?>
      <div class="alert alert-success alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i> Order Updated!</h4>
        <?php echo $this-> session-> flashdata('courier_ref_updated') ?>
      </div>
    <?php endif; ?>
    <?php if($this-> session-> flashdata('product_updated')) : ?>
      <div class="alert alert-success alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i> Product Updated!</h4>
        <?php echo $this-> session-> flashdata('product_updated') ?>
      </div>
    <?php endif; ?>
    <?php if($this-> session-> flashdata('franchise_settlement_created')) : ?>
      <div class="alert alert-success alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i>Settlement Created!</h4>
        <?php echo $this-> session-> flashdata('franchise_settlement_created') ?>
      </div>
    <?php endif; ?>
    <?php if($this-> session-> flashdata('franchise_settlement_failed')) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i> Settlement Failed!</h4>
        <?php echo $this-> session-> flashdata('franchise_settlement_failed') ?>
      </div>
    <?php endif; ?>
    <?php if($this-> session-> flashdata('user_updated')) : ?>
      <div class="alert alert-success alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i>User Edited!</h4>
        <?php echo $this-> session-> flashdata('user_updated') ?>
      </div>
    <?php endif; ?>
    <?php if($this-> session-> flashdata('gatepass_success')) : ?>
      <div class="alert alert-success alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i>Gatepass!</h4>
        <?php echo $this-> session-> flashdata('gatepass_success') ?>
      </div>
    <?php endif; ?>
    <?php if($this-> session-> flashdata('gatepass_error')) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i>Gatepass!</h4>
        <?php echo $this-> session-> flashdata('gatepass_error') ?>
      </div>
    <?php endif; ?>  
    <?php if($this-> session-> flashdata('success')) : ?>
      <div class="alert alert-success alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i>Success!</h4>
        <?php echo $this-> session-> flashdata('success') ?>
      </div>
    <?php endif; ?>
    <?php if($this-> session-> flashdata('error')) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-check"></i>Error!</h4>
        <?php echo $this-> session-> flashdata('error') ?>
      </div>
    <?php endif; ?>
    <?php echo $contents; ?>
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="pull-right hidden-xs">
      <b>Version</b> 2.4.0
    </div>
    <strong>Copyright &copy; <a href="#">XypherLabs (Pvt) Ltd</a> </strong> All rights
    reserved.
  </footer>


</div>
<!-- ./wrapper -->

  <?php foreach($js as $js_file): ?>
    <script src="<?php echo $js_file?>"></script>
  <?php endforeach; ?>

</body>
</html>
