<section class="content-header">
  <h1>
   User Role
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="#">Users</a></li>
    <li class="active">Add User Role</li>
  </ol>
  <?php if(validation_errors()) : ?>
    <div class="alert alert-danger alert-dismissible">
      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
      <h4><i class="icon fa fa-ban"></i> Alert!</h4>
      <?php echo validation_errors(); ?>
    </div>
  <?php endif; ?>   
  
</section>

<section class="content">
  <?php  
      echo form_open_multipart($formMethod);
  ?>
  <div class="row">
    <div class="col-md-5">
      <div class="box box-primary">
        <!-- box-header -->
        <div class="box-header with-border">
          <h3 class="box-title">Add New User Role</h3>
        </div>
        <!-- /.box-header -->
        <!-- box-body -->   
        <div class="box-body">
          <div class="form-group">
            <label for="user_role">User Role</label>
            <input type="text" class="form-control" name="user_role" id="user_role" placeholder="Enter User Role" autofocus  required>
          </div>
        </div>
        <!-- /.box-body -->
      </div>
    </div>
    <div class="col-md-7">
      <div class="nav-tabs-custom">
        <ul class="nav nav-tabs">
          <?php $i = 0; ?>
          <?php foreach($permissions as $key => $permission): ?>
            <li <?php if($i==0){echo 'class="active"';} ?>><a href="#tab_<?php echo $key ?>" data-toggle="tab"><?php echo ucwords(str_replace("_", " ", $key)); ?></a></li>
            <?php $i++; ?>
          <?php endforeach; ?>
        </ul>
        <div class="tab-content">
          <?php $i = 0; ?>
          <?php foreach($permissions as $key => $permission): ?>
            <div class="tab-pane <?php if($i==0){echo 'active';} ?>" id="tab_<?php echo $key ?>">
              <?php foreach($permission as $item): ?>
                <div class="checkbox">
                  <label for="permission_<?php echo $i; ?>">
                    <input type="checkbox" name="permission[<?php echo $i; ?>]" id="permission_<?php echo $i; ?>" value="<?php echo $item['id']; ?>">
                     <?php echo $item['display_text']; ?>
                  </label>  
                </div>
                <?php $i++; ?>
              <?php endforeach; ?>  
            </div>
          <?php endforeach; ?>
        </div>
        <div class="box-footer">
          <button type="submit"  id="btn_form_sumbmit" class="btn btn-primary pull-right">Submit</button>
        </div>
        <!-- /.tab-content -->
      </div>
    </div>  
  </div>  
</section>      