<section class="content-header">
    <h1>
        User Roles
        <small>All User Roles</small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">User Roles</a></li>
    </ol>
</section>

<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">User Role List</h3>
                </div>

                <div class="box-body">
                    <div class="col-xs-12 table-responsive">
                        <table id="datatable" class="table table-bordered table-hover">
                            <thead>
                                <tr>
                                    <td>ID</td>
                                    <td>User Title</td>
                                    <td>Actions</td>
                                </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


<script>
var user_role = <?php echo json_encode($user_roles); ?>


window.onload = function() {
    $('#datatable').DataTable({
        'paging': true,
        'lengthChange': false,
        'searching': true,
        'info': true,
        'autoWidth': true,
        'responsive': true,
        'select': false,
        //'column'      : String,
        'data': user_role,
        'columns': [{
                "data": "id"
            },
            {
                "data": "title"
            },
            {
                "data": "id",
                "render": function(data, type, row) {
                    return ' <span><button type="button" data-row="' + row + '" data-id="' + data +
                        '" class="btn  btn-primary btn-sm" id="edit-btn"><i class="fa fa-edit"></i></button></span>';
                }
            },
        ],
        'dom': 'Bfrtip',
    });

    $('body').on('click', '#edit-btn', function() {
        var id = $(this).data("id");
        window.open("<?php echo base_url(); ?>user/users/edit_user_roles/" + id + "", "_blank");

    });
}
</script>