$(document).ready(function($){
    $.ajaxSetup({data: {token: CFG.token}});
    $(document).ajaxSuccess(function(e,x) {
        var result = $.parseJSON(x.responseText);
        $('input:hidden[name="token"]').val(result.token);
        $.ajaxSetup({data: {token: result.token}});
    });
});

$(document).ajaxStart(function () {
	Pace.restart()
});

function uploadExcel(){
	$('#table_body').html("");
	var myFile = document.getElementById('file');
	var input = myFile;
	var reader = new FileReader();
	reader.onload = function(){
		var fileData = reader.result;
		var workbook = XLSX.read(fileData,{type: 'binary'});
		workbook.SheetNames.forEach(function(SheetName){
			var rowObject = XLSX.utils.sheet_to_row_object_array(workbook.Sheets[SheetName]);
			excelJsonObj = rowObject;
		});
		console.log(excelJsonObj);
		var keyNames = Object.keys(excelJsonObj[0]);
		if (arraysEqual(keyNames,columns)) {
			showAlert("Valid File found","success");
			var i = 0;
			for (i = 0; i < excelJsonObj.length; i++) {
				var data = excelJsonObj[i];
				var table_row = "";
				columns.forEach(function(item){
					if (item=="cod_recieved") {
						table_row+= '<td><input type="text" class="form-control" name="'+item+'['+i+']" id="'+item+'_'+i+'" value="'+parseFloat(data[item].replace(',', ''))+'" readonly required></td>';	
					}else{
						table_row+= '<td><input type="text" class="form-control" name="'+item+'['+i+']" id="'+item+'_'+i+'" value="'+data[item]+'" readonly required></td>';		
					}
					
				});	
				$('#result_table tbody:last-child').append("<tr id='row_"+i+"'>"+table_row+"</tr>");
			}
			$('#RowCount').val(i);
			$('#item_count').html('Item Count: '+i);
		}else{
			showAlert("Invalid File Format","warning");
		}
		  
	};

	reader.readAsBinaryString(input.files[0]);
		
}

function validate(){
    var RowCount = $('#RowCount').val(), validate=true; 
    /*for(var i =0; i<RowCount; i++){
        console.log($('#courier_ref_'+i).val());
        if(get_order($('#courier_ref_'+i).val())){
            $('#row_'+i).attr("class", "bg-green");
        }else{
            $('#row_'+i).attr("class", "bg-red");
            validate = false;
        }
    }*/
    
      var i = 0, run;
      run = function(){
        var ref = $('#courier_ref_'+i).val(); 
        var order_valid = get_order(ref,i);
        console.log(order_valid);
        if(order_valid=="true"){
            
        }else{
            validate = false;
        } 
        if(i++ < RowCount){
            setTimeout(run, 500);
        }
      }
      run();
    return validate;
}

function get_order(ref,index){
	$.post(CFG.url + '/order/orders/get_dispatching_order_ajax',
    {
      "courier_reference": ref
    },
    function(data){
    	var response = data.response;
    	
      	if (response.success) {
      		if(response.order_status=='in_courier'||response.order_status=='pending_return'||response.order_status=='returned') {
      		    console.log(response.order_status);
      		    $('#row_'+index).attr("class", "bg-green");
      		    return "true";
      		}else{
      		    $('#row_'+index).attr("class", "bg-red");
      		    return "false";
      		}
      	}else{
      	    return false;
      	}
    },'json');
}


function arraysEqual(arr1, arr2) {

    if (!Array.isArray(arr1) || ! Array.isArray(arr2) || arr1.length !== arr2.length)
      return false;

    for (var i = 0; i < arr1.length; i++) {

        if (arr1[i] !== arr2[i])
            return false;
    }
    return true;
}

function showAlert(msg,type){
	swal({
        title: msg,
        text: "",
        type: type,
        showCancelButton : false,
        showConfirmButton : false,
        timer : 2000
    });
}